<?xml version='1.0'?>
<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN'
                      '/local/share/xml/XHTML/dtds/xhtml1-transitional.dtd'>
<html>
  <head>
    <title>SAP Gateway - DDIC-Cache</title>
    <meta http-equiv="Pragma" content="no-cache"></meta>
    <meta http-equiv="Expires" content="-1"></meta>
    <link rel="stylesheet" type="text/css" href="/WmRoot/webMethods.css"></link>
    <script type="text/javascript" src="/WmRoot/webMethods.js.txt"></script>
    <script type="text/javascript">
      <!-- 
      function init() {
	  %switch what%
	  %case 'functions'%
            setNavigation('/SAP/cache-manage.dsp', '/SAP/doc/OnlineHelp/TAB_SAP_DDICfunctions.html', 'bla');
	  %case 'structures'%
            setNavigation('/SAP/cache-manage.dsp', '/SAP/doc/OnlineHelp/TAB_SAP_DDICstructures.html', 'bla');
	  %case 'businessObjects'%
            setNavigation('/SAP/cache-manage.dsp', '/SAP/doc/OnlineHelp/TAB_SAP_DDICbobjects.html', 'bla');
	  %case 'aleMappings'%
            setNavigation('/SAP/cache-manage.dsp', '/SAP/doc/OnlineHelp/TAB_SAP_DDICALE.html', 'bla');
	  %case 'viewFunction'%
            setNavigation('/SAP/cache-manage.dsp', '/SAP/doc/OnlineHelp/TAB_SAP_DDICfunctions.html', 'bla');
	  %case 'viewStructure'%
            setNavigation('/SAP/cache-manage.dsp', '/SAP/doc/OnlineHelp/TAB_SAP_DDICstructures.html', 'bla');
	  %case%
            setNavigation('/SAP/cache-manage.dsp', '/SAP/doc/OnlineHelp/FRM_TAB_SAP_DDIC.html', 'bla');
	  %endswitch%
      } //
      -->
    </script>
  </head>
  <body onload="init();">
    <table width="100%">
      <tr>
	<td class="menusection-Adapters" colspan="2">SAP &gt; DDIC-Cache 
	  %switch what%
	  %case 'functions'%
	    &gt; Functions
	  %case 'structures'%
	    &gt; Structures
	  %case 'businessObjects'%
	    &gt; Business Objects
	  %case 'aleMappings'%
	    &gt; ALE Mappings
	  %case 'viewFunction'%
	    &gt; Functions &gt; Function Interface
	  %case 'viewStructure'%
	    &gt; Structures &gt; Structure Definition
	  %case%
	  %endswitch%
	</td>
      </tr>
      <tr>
	<td colspan="2">
	  <ul>
	    <!-- %switch what% -->
	    <!-- %case 'functions'% -->
	    <li><a href="cache-manage.dsp">Return to DDIC-Cache</a></li>
	    <!-- %case 'structures'% -->
	    <li><a href="cache-manage.dsp">Return to DDIC-Cache</a></li>
	    <!-- %case 'businessObjects'% -->
	    <li><a href="cache-manage.dsp">Return to DDIC-Cache</a></li>
	    <!-- %case 'aleMappings'% -->
	    <li><a href="cache-manage.dsp">Return to DDIC-Cache</a></li>
	    <!-- %case 'viewFunction'% -->
	    <li><a href="cache-manage.dsp">Return to DDIC-Cache</a></li>
	    <li><a href="/SAP/cache-manage.dsp?sysID=%value -urlencode sysID%&amp;what=functions">Return to
		Cached Functions</a></li>
	    <!-- %case 'viewStructure'% -->
	    <li><a href="cache-manage.dsp">Return to DDIC-Cache</a></li>
	    <li><a href="/SAP/cache-manage.dsp?sysID=%value -urlencode sysID%&amp;what=structures">Return
		to Cached Structures</a></li>
	    <!-- %case% -->
	    <!-- %endswitch% -->
	  </ul>
	</td>
      </tr>
      <!-- 
      %switch what%
        %case 'functions'%
          %ifvar delete%
            %invoke sap.admin.cache:removeFunction%
            %endinvoke%
          %endif%
          %invoke sap.admin.cache:listFunctions%
      -->
      <tr>
	<td class="padding">&nbsp;</td>
	<td>
	  <table class="tableView">
	    <thead>
	      <tr>
		<td class="heading" colspan="2">Cached Functions</td>
	      </tr>
	      <tr>
		<td class="oddcol">Function Module</td>
		<td class="oddcol">Remove</td>
	      </tr>
	    </thead>
	    <tbody id="tbodyNode">
	      <!-- %loop functions% -->
	      <tr>
		<td class="evenrowdata-l">
		  <a href="/SAP/cache-manage.dsp?sysID=%value -urlencode /sysID%&amp;functionName=%value -urlencode functionName%&amp;what=viewFunction">%value functionName%</a>
		</td>
		<td class="evenrowdata">
		  <a href="/SAP/cache-manage.dsp?sysID=%value -urlencode /sysID%&amp;functionName=%value -urlencode functionName%&amp;what=functions&amp;delete=1"><img alt="delete" src="/WmRoot/icons/delete.gif" border="0"></img></a>
		</td>
	      </tr>
	      <!-- %endloop% -->
	    </tbody>
	  </table>
	  <script>swapColor('tbodyNode', false);</script>
	</td>
      </tr>
      <!--
        %endinvoke%
      %case 'structures'%
        %ifvar delete%
          %invoke sap.admin.cache:removeStructure%
          %endinvoke%
        %endif%
        %invoke sap.admin.cache:listStructures%
      -->
      <tr>
	<td class="padding">&nbsp;</td>
	<td>
	  <table class="tableView">
	    <thead>
	      <tr>
		<td class="heading" colspan="2">Cached Structures</td>
	      </tr>
	      <tr class="heading">
		<td class="oddcol">Structure</td>
		<td class="oddcol">Remove</td>
	      </tr>
	    </thead>
	    <tbody id="tbodyNode">
	      <!-- %loop structures% -->
	      <tr>
		<td class="evenrowdata-l">
		  <a href="/SAP/cache-manage.dsp?sysID=%value -urlencode /sysID%&amp;structName=%value -urlencode structName%&amp;what=viewStructure">%value structName%</a>
		</td>
		<td class="evenrowdata">
		  %switch structName%
		  %case 'RFC_FIELDS'%&nbsp;
		  %case 'SBC_FIELDS'%&nbsp;
		  %case 'RFC_FUNINT'%&nbsp;
		  %case 'SBCCALLENV'%&nbsp;
		  %case 'SBC_TABLEN'%&nbsp;
		  %case%
		  <a href="/SAP/cache-manage.dsp?sysID=%value -urlencode /sysID%&amp;structName=%value -urlencode structName%&amp;what=structures&amp;delete=1"><img alt="delete" src="/WmRoot/icons/delete.gif" border="0"></img></a>
		  %endswitch%
		</td>
	      </tr>
	      <!-- %endloop% -->
	    </tbody>
	  </table>
	  <script>swapColor('tbodyNode', false);</script>
	</td>
      </tr>
      <!--
        %endinvoke%
      %case 'businessObjects'%
        %ifvar delete%
          %invoke sap.admin.cache:removeBusinessObject%
          %endinvoke%
        %endif%
        %invoke sap.admin.cache:listBusinessObjects%
      -->
      <tr>
	<td class="padding">&nbsp;</td>
	<td>
	  <table class="tableView">
	    <thead>
	      <tr>
		<td class="heading" colspan="2">Cached Business Objects</td>
	      </tr>
	      <tr>
		<td class="oddcol">Business Object</td>
		<td class="oddcol">Remove</td>
	      </tr>
	    </thead>
	    <tbody id="tbodyNode">
	      <!-- %loop businessObjects% -->
	      <tr>
		<td class="evenrowdata-l">    	
		  %value businessObjectName% 
		</td>
		<td class="evenrowdata">
		  <a href="/SAP/cache-manage.dsp?sysID=%value -urlencode /sysID%&amp;businessObjectName=%value -urlencode businessObjectName%&amp;what=businessObjects&amp;delete=1"><img alt="delete" src="/WmRoot/icons/delete.gif" border="0"></img></a>
		</td>
	      </tr>
	      <!-- %endloop% -->
	    </tbody>
	  </table>
	  <script>swapColor('tbodyNode', false);</script>
	</td>
      </tr>
      <!--
        %endinvoke%
      %case 'aleMappings'%
        %ifvar delete%
          %invoke sap.admin.cache:removeALEMapping%
          %endinvoke%
        %endif%
        %invoke sap.admin.cache:listALEMappings%
      -->
      <tr>
	<td class="padding">&nbsp;</td>
	<td>
	  <table class="tableView">
	    <thead>
	      <tr>
		<td class="heading" colspan="2">Cached ALE Mappings</td>
	      </tr>
	      <tr>
		<td class="oddcol">BAPI</td>
		<td class="oddcol">Remove</td>
	      </tr>
	    </thead>
	    <tbody id="tbodyNode">
	      <!-- %loop bapis% -->
	      <tr>
		<td class="evenrowdata-l">    	
		  %value bapiName%
		</td>
		<td class="evenrowdata">
		  <a href="/SAP/cache-manage.dsp?sysID=%value -urlencode /sysID%&amp;bapiName=%value -urlencode bapiName%&amp;what=aleMappings&amp;delete=1"><img alt="delete" src="/WmRoot/icons/delete.gif" border="0"></img></a>
		</td>
	      </tr>
	      <!-- %endloop% -->
	    </tbody>
	  </table>
	  <script>swapColor('tbodyNode', false);</script>
	</td>
      </tr>
      <!--
        %endinvoke%
      %case 'viewStructure'%
        %invoke sap.admin.cache:getStructureDefinition%
        %ifvar fields%
      -->
      <tr>
	<td class="padding">&nbsp;</td>
	<td>
	  <table class="tableView">
	    <thead>
	      <tr>
		<td class="heading" colspan="5">Structure definition for %value structName%</td>
	      </tr>
	      <tr>
		<td class="oddcol">Field</td>
		<td class="oddcol">Offset</td>
		<td class="oddcol">Length</td>
		<td class="oddcol">Decimals</td>
		<td class="oddcol">Type</td>
	      </tr>
	    </thead>
	    <tbody id="tbodyNode">
	      <!-- %loop fields% -->
	      <tr>
		<td class="evenrowdata-l">%value fieldName%</td>
		<td class="evenrowdata-r">%value offset%</td>
		<td class="evenrowdata-r">%value length%</td>
		<td class="evenrowdata-r">%value decimals%</td>
		<td class="evenrowdata">
		<!-- %switch type% -->
		<!-- %case 'STRUCTURE'% -->
		  <a class="leftnav" href="/SAP/cache-manage.dsp?sysID=%value -urlencode /sysID%&amp;structName=%value -urlencode tabName%&amp;what=viewStructure">%value type%</a>
		<!-- %case 'TABLE'% -->
		  <a class="leftnav" href="/SAP/cache-manage.dsp?sysID=%value -urlencode /sysID%&amp;structName=%value -urlencode tabName%&amp;what=viewStructure">%value type%</a>
		<!-- %case% -->
		  %value type%
		<!-- %endswitch% -->
		</td>
	      </tr>
	      <!-- %endloop% -->
	    </tbody>
	  </table>
	  <script>swapColor('tbodyNode', false);</script>
	</td>
      </tr>
      <!--
        %endif%
        %onerror%
          %include error.html%
        %endinvoke%
      %case 'viewFunction'%
        %invoke sap.admin.cache:getFunctionInterface%
      -->
      <tr>
	<td class="padding">&nbsp;</td>
	<td>
	  <table class="tableView">
	    <thead>
	      <tr>
		<td class="heading" colspan="7">Function interface for %value functionName%</td>
	      </tr>
	      <tr>
		<td class="oddcol">Class</td>
		<td class="oddcol">Parameter</td>
		<td class="oddcol">Table</td>
		<td class="oddcol">Type</td>
		<td class="oddcol">Length</td>
		<td class="oddcol">Decimals</td>
		<td class="oddcol">Optional</td>
	      </tr>
	    </thead>
	    <tbody id="tbodyNode">
	      <!-- %loop params% -->
	      <tr>
		<td class="evenrowdata">%value paramClass%</td>
		<td class="evenrowdata-l">%value parameter%</td>
		<td class="evenrowdata-l"><a class="leftnav" href="/SAP/cache-manage.dsp?sysID=%value -urlencode /sysID%&amp;structName=%value -urlencode tabName%&amp;what=viewStructure">%value tabName%</a></td>
		<td class="evenrowdata-l">%value type%</td>
		<td class="evenrowdata-r">%value length%</td>
		<td class="evenrowdata">%value decimals%</td>
		<td class="evenrowdata">%value optional%</td>
	      </tr>
	      <!-- %endloop% -->
	    </tbody>
	  </table>
	  <script>swapColor('tbodyNode', false);</script>
	</td>
      </tr>
      <!--
        %endinvoke%
      %case%
        %invoke sap.admin.cache:listSystems%
      -->
      <tr>
	<td class="padding">&nbsp;</td>
	<td>
	  <div class="space">&nbsp;</div>
	  <table class="tableView">
	    <thead>
	      <tr>
		<td class="heading" colspan="5">SAP Systems</td>
	      </tr>
	      <tr>
		<td class="oddcol">System ID</td>
		<td class="oddcol">Functions</td>
		<td class="oddcol">Structures</td>
		<td class="oddcol">Business Objects</td>    
		<td class="oddcol">ALE Mappings</td>    
	      </tr>
	    </thead>
	    <tbody id="tbodyNode">
	      <!-- %loop systems% -->
	      <tr>
		<td class="evenrowdata-l">%value sysID%</td>
		<td class="evenrowdata">
		  <a href="/SAP/cache-manage.dsp?sysID=%value -urlencode sysID%&amp;what=functions">%value functionCount%</a>
		</td>
		<td class="evenrowdata">
		  <a href="/SAP/cache-manage.dsp?sysID=%value -urlencode sysID%&amp;what=structures">%value structureCount%</a>
		</td>
		<td class="evenrowdata">
		  <a href="/SAP/cache-manage.dsp?sysID=%value -urlencode sysID%&amp;what=businessObjects">%value businessObjectCount%</a>
		</td>
		<td class="evenrowdata">
		  <a href="/SAP/cache-manage.dsp?sysID=%value -urlencode sysID%&amp;what=aleMappings">%value aleMappingCount%</a>
		</td>
	      </tr>
	      <!-- %endloop% -->
	    </tbody>
	  </table>
	  <script>swapColor('tbodyNode', false);</script>
	</td>
      </tr>
      <!--
        %endinvoke%
      %endswitch%
      -->
    </table>
  </body>
</html>