<?xml version='1.0'?>
<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN'
                      '/local/share/xml/XHTML/dtds/xhtml1-transitional.dtd'>
<html>
  <head>
    <title>SAP Gateway - Routing</title>
    <meta http-equiv="Pragma" content="no-cache"></meta>
    <meta http-equiv="Expires" content="-1"></meta>
    <link rel="stylesheet" type="text/css" href="/WmRoot/webMethods.css"></link>
    <script type="text/javascript" src="/WmRoot/webMethods.js.txt"></script>
  </head>
  <body onload="setNavigation('/SAP/cbridocs.dsp', '/SAP/doc/OnlineHelp/FRM_TAB_SAP_Routing.html', 'bla');">
    %ifvar action equals('Save')%
      %invoke sap.admin.idoc:updateRoutingServices%
      %onerror% %include error.html%
      %endinvoke%
    %endif%

    %invoke sap.admin.idoc:getRoutingServices%

    <table width="100%">
      <tr>
	<td class="menusection-Adapters" colspan="2">SAP &gt; Routing</td>
      </tr>
      <tr>
	<td colspan="2">&nbsp;</td>
      </tr>
      <!-- %switch action% -->
      <!-- %case 'Save'% -->
      <tr><td class="message" colspan="2">Routing/mapping settings updated</td></tr>
      <tr><td colspan="2">&nbsp;</td></tr>
      <!-- %case 'Cancel'% -->
      <tr><td class="message" colspan="2">Routing/mapping settings changes cancelled</td></tr>
      <tr><td colspan="2">&nbsp;</td></tr>
      <!-- %case% -->
      <!-- %endswitch% -->
      <tr>
	<td class="padding">&nbsp;</td>
	<td>
	  <form action="cbridocs.dsp" method="post">
	    <table class="tableForm" width="95%">
	      <tr>
		<td class="heading" colspan="3">Content based Routing/Mapping Settings for IDocs</td>
	      </tr>
	      <tr>
		<td class="subHeading" colspan="3">Default handling for all IDocs</td>
	      </tr>
	      <tr>
		<td class="oddcol">&nbsp;</td>
		<td class="oddcol">Inbound Service</td>
		<td class="oddcol">Outbound Service</td>
	      </tr>
	      <!-- 
	      %loop routingServices%
	      %ifvar msgType equals('$default')%
	      -->
	      <tr>
		<td class="evenrow">&nbsp;</td>
		<td class="evenrow-l">
		  <select name="defaultInbound">
		    <!-- %loop infoInbound% -->
		    <!-- %ifvar active equals('true')% -->
		    <option selected="selected" value="%value service%">%value service%</option>
		    <!-- %else% -->
		    <option value="%value service%">%value service%</option>
		    <!-- %endif% -->
		    <!-- %endloop% -->
		  </select>
		</td>
		<td class="evenrow-l">
		  <select name="defaultOutbound">
		    <!-- %loop infoOutbound% -->
		    <!-- %ifvar active equals('true')% -->
		    <option selected="selected" value="%value service%">%value service%</option>
		    <!-- %else% -->
		    <option value="%value service%">%value service%</option>
		    <!-- %endif% -->
		    <!-- %endloop% -->
		  </select>
		</td>
	      </tr>
	      <!--
	      %endif%
	      %endloop%
	      -->
	      <tr>
		<td colspan="3">&nbsp;</td>
	      </tr>
	      <tr>
		<td class="subHeading" colspan="3">Message type dependend settings</td>
	      </tr>
	      <tr>
		<td class="oddcol">Message Type</td>
		<td class="oddcol">Inbound Service</td>
		<td class="oddcol">Outbound Service</td>
	      </tr>
	      <!--
	      %loop routingServices%
	      %ifvar msgType equals('$default')%%else% 
	      -->
	      <tr>
		<td class="evenrow-l">%value msgType%<input type="hidden" name="msgType" value="%value msgType%"></input></td>
		<td class="evenrow">
		  <select name="servicesInbound">
		    <!-- %loop infoInbound% -->
		    <!-- %ifvar active equals('true')% -->
		    <option selected="selected" value="%value service%">%value service%</option>
		    <!-- %else% -->
		    <option value="%value service%">%value service%</option>
		    <!-- %endif% -->
		    <!-- %endloop% -->
		  </select>
		</td>
		<td class="evenrow">
		  <select name="servicesOutbound">
		    <!-- %loop infoOutbound% -->
		    <!-- %ifvar active equals('true')% -->
		    <option selected="selected" value="%value service%">%value service%</option>
		    <!-- %else% -->
		    <option value="%value service%">%value service%</option>
		    <!-- %endif% -->
		    <!-- %endloop% -->
		  </select>
		</td>
	      </tr>
	      <!-- %endif% -->
	      <!-- %endloop% -->
	      <tr>
		<td class="action" colspan="3">
		  <input type="submit" name="action" value="Save"></input>
		  <input type="submit" name="action" value="Cancel"></input>
		</td>
	      </tr>
	    </table>
	  </form>
	</td>
      </tr>
    </table>
    %onerror%
    %include error.html%
    %endinvoke%
  </body>
</html>