<?xml version='1.0'?>
<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN'
                      '/local/share/xml/XHTML/dtds/xhtml1-transitional.dtd'>
<html>
  <head>
    <title>SAP Gateway - Monitoring</title>
    <meta http-equiv="Pragma" content="no-cache"></meta>
    <meta http-equiv="Expires" content="-1"></meta>
    <meta http-equiv="refresh" content="300"></meta>
    <link rel="stylesheet" type="text/css" href="/WmRoot/webMethods.css"></link>
  </head>
  <body>
    %invoke sap.monitor.rfcTrace:display%
    <table width="100%">
      <tr>
	<td class="menusection-Adapters" colspan="2">SAP &gt;
	  Monitoring &gt; RFC Trace Files &gt; Entry</td>
      </tr>
      <tr>
	<td colspan="2">
	  <ul>
	    <li>
	      <a onmouseover="window.status='Back'; return true"
		   onmouseout="window.status='';return true"
		   href="/SAP/getList.dsp">Return to Monitoring</a>
	    </li>
	    <!-- %ifvar type equals('RFC')% -->
	    <li>
	      <a onmouseover="window.status='Back'; return true"
		   onmouseout="window.status='';return true"
		   href="/SAP/parseFile.dsp?name=%value name%">Return
		to RFC Trace Files</a>
	    </li>
	    <!-- %endif% -->
	  </ul>
	</td>
      </tr>
      <tr>
	<td class="padding">&nbsp;</td>
	<td>
	  <table class="tableView">
	    <tr>
	      <td class="heading">
		%ifvar type equals('RFC')%
		Trace File Entry of
		%else%
		SAP Log
		%endif% %value name%:
	      </td>
	    </tr>
	    <!-- %ifvar message equals('Ok')% -->
	    <tr>
	      <td>
		<pre class="fixedwidth">%value traceData%</pre>
	      </td>
	    </tr>
	    <!-- %else% -->
	    <tr>
	      <td class="message">%value message%</td>
	    </tr>
	    <!-- %endif% -->
	  </table>
	</td>
      </tr>
    </table>
    %onerror% %include error.html%
    %endinvoke%
  </body>
</html>