<?xml version='1.0'?>
<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN'
                      '/local/share/xml/XHTML/dtds/xhtml1-transitional.dtd'>
<html>
  <head>
    <title>SAP Adapter - Monitoring</title>
    <meta http-equiv="Pragma" content="no-cache"></meta>
    <meta http-equiv="Expires" content="-1"></meta>
    <meta http-equiv="refresh" content="300"></meta>
    <link rel="stylesheet" type="text/css" href="/WmRoot/webMethods.css"></link>
    <script type="text/javascript" src="/WmRoot/webMethods.js.txt"></script>
  </head>
  <body onload="setNavigation('/SAP/getList.dsp', '/SAP/doc/OnlineHelp/FRM_TAB_SAP_Monitoring.html', 'bla');">
    <table width="100%">
      <tr>
	<td class="menusection-Adapters" colspan="2">SAP &gt; Monitoring</td>
      </tr>
      <!-- %ifvar RFCmessage% -->
      <tr><td colspan="2" class="space">&nbsp;</td></tr>
      <tr>
	<td class="message" colspan="2">%value RFCmessage%</td>
      </tr>
      <tr><td colspan="2">&nbsp;</td></tr>
      <!-- %endif% -->
      <!-- %ifvar SAPmessage% -->
      <tr><td colspan="2" class="space">&nbsp;</td></tr>
      <tr>
	<td colspan="2" class="message">%value SAPmessage%</td>
      </tr>
      <tr><td colspan="2">&nbsp;</td></tr>
      <!-- %endif% -->
      <tr>
	<td colspan="2">
          %invoke sap.monitor.ccms.admin:getStatus%
	  <ul>
	    <li><a href="/SAPMonitoring/remoteMonitoring.dsp">Remote Monitoring</a></li>
	    <li><a href="getList.dsp">Refresh</a></li>
	  </ul>
          %onerror%
	  <ul>
	    <li><a href="getList.dsp">Refresh</a></li>
	  </ul>
          %endinvoke%
	</td>
      </tr>
      <tr>
	<td class="padding">&nbsp;</td>
	<td>
	  %invoke sap.monitor.rfcTrace:getList%
	  <!-- RFC Trace Files -->
	  <table width="95%" class="tableView">
	    <thead>
	      <tr>
		<td class="heading" colspan="4">Overview over RFC Trace Files</td>
	      </tr>
	    </thead>
	    <!-- %ifvar propertyTable% -->
	    <tbody>
	      <tr>
		<td class="oddcol" width="14%">Trace File</td>
		<td class="oddcol" width="14%">Size (byte)</td>
		<td class="oddcol">Created On</td>
		<td class="oddcol">Delete
		  <a href="../invoke/sap.monitor.rfcTrace/deleteAll?type=RFC"><small>Delete All</small></a>
		</td>
	      </tr>
	    </tbody>
	    <tbody id="tbodyNode">
	      <!-- %loop propertyTable% -->
	      <tr>
		<td class="oddrowdata">
		  <a href="parseFile.dsp?name=%value -urlencode index=0%">%value index=0%</a>
		</td>
		<td class="oddrowdata-r">%value index=1%</td>
		<td class="oddrowdata-r">%value index=2%</td>
		<td class="oddrowdata">
		  <a href="/invoke/sap.monitor.rfcTrace/deleteSingle?fullName=%value -urlencode index=0%">
		    <img alt="delete" src="/WmRoot/icons/delete.gif" border="0"></img>
		  </a>
		</td>
	      </tr>
	      <!-- %endloop% -->
	    </tbody>
	    <!-- %else% -->
	    <tbody id="tbodyNode">
	      <tr>
		<td class="message" colspan="4">There are currently no RFC
		  trace files</td>
	      </tr>
	    </tbody>
	    <!-- %endif% -->

	    <!-- SAP Log Files -->
	    <tbody>
	      <tr><td class="space" colspan="4">&nbsp;</td></tr>
	      <tr>
		<td class="heading" colspan="4">Overview over SAP Log Files</td>
	      </tr>
	    </tbody>
	    <!-- %ifvar logPropertyTable% -->
	    <tbody>
	      <tr>
		<td class="oddcol" width="14%">SAP Log File</td>
		<td class="oddcol" width="14%">Size (byte)</td>
		<td class="oddcol">Created On</td>
		<td class="oddcol">Delete
		  <a href="/invoke/sap.monitor.rfcTrace/deleteAll?type=SAP"><small>Delete All</small></a>
		</td>
	      </tr>
	    </tbody>
	    <tbody id="tbodyNode2">
	      <!-- %loop logPropertyTable% -->
	      <tr>
		<td class="oddrowdata">
		  <a href="chopSAPLog.dsp?fullName=%value -urlencode path%%value -urlencode index=0%">%value index=0%</a>
		</td>
		<td class="oddrowdata-r">%value index=1%</td>
		<td class="oddrowdata-r" >%value index=2%</td>
		<td class="oddrowdata"><a href="/invoke/sap.monitor.rfcTrace/deleteSingle?fullName=%value -urlencode path%%value -urlencode index=0%">
		    <img alt="delete" src="/WmRoot/icons/delete.gif" border="0"></img>
		  </a>
		</td>
	      </tr>
	      <!-- %endloop% -->
	    </tbody>
	    <!-- %else% -->
	    <tbody id="tbodyNode2">
	      <tr>
		<td colspan="4" class="message">There are currently no
		  SAP log files</td>
	      </tr>
	    </tbody>
	    <!-- %endif% -->
	  </table>
	  %onerror% %include error.html%
	  %endinvoke%

	  <!-- jARM -->
	  <table width="95%" class="tableView" style="margin-bottom: 0px;">
	    <tr><td class="space" colspan="4">&nbsp;</td></tr>
	    <tr>
	      <td class="heading" colspan="4">jARM Overview</td>
	    </tr>
	    <tr>
	      <td class="subHeading" colspan="4">jARM Request Summary</td>
	    </tr>
	    <!-- %invoke sap.monitor.jarm:getRequestSummary% -->
	    <tr>
	      <td class="oddrow">Requests total</td>
	      <td class="oddrowdata-r">%value requests%</td>
	      <td class="oddrow">Request rate (1/s)</td>
	      <td class="oddrowdata-r">%value requestRate%</td>
	    </tr>
	    <tr>
	      <td class="evenrow">Requests ok</td>
	      <td class="evenrowdata-r">%value requestsOk%</td>
	      <td class="evenrow">Requests with errors</td>
	      <td class="evenrowdata-r">%value requestsNotClosed%</td>
	    </tr>
	    <tr>
	      <td class="oddrow">Components total</td>
	      <td class="oddrowdata-r">%value components%</td>
	      <td class="oddrow">Components per request</td>
	      <td class="oddrowdata-r">%value averageComponents%</td>
	    </tr>
	    <tr>
	      <td class="evenrow">Total time (ms)</td>
	      <td class="evenrowdata-r">%value totalTime%</td>
	      <td class="evenrow">Average time (ms)</td>
	      <td class="evenrowdata-r">%value averageTime%</td>
	    </tr>
	    <!-- %endinvoke% -->
	  </table>
	  <form action="sapMonitoring_jARMRequests.dsp" method="post">
	    <table width="95%" class="tableForm" style="margin-bottom: 0px;">
	      <tr>
		<td colspan="4" class="subHeading">jARM Requests</td>
	      </tr>
	      <tr>
		<td width="14%" class="oddrow">Info for ...</td>
		<td class="oddrow-l"><input name="requestPattern" value="*"></input></td>
		<td class="oddrow">max. listed requests</td>
		<td class="oddrow-l">
		  <input type="text" name="maxRequests" value="25"
			 size="3" maxlength="3"></input>
		</td>
	      </tr>
	      <tr>
		<td colspan="4" class="action"><input type="submit" value="Show"></input></td>
	      </tr>
	    </table>
	  </form>
	  <form action="sapMonitoring_jARMComponents.dsp" method="post">
	    <table width="95%" class="tableForm">
	      <tr>
		<td colspan="4" class="subHeading">jARM Components</td>
	      </tr>
	      <tr>
		<td width="14%" class="oddrow">Info for ...</td>
		<td colspan="3" class="oddrow-l"><input name="componentPattern" value="*"></input></td>
	      </tr>
	      <tr>
		<td colspan="4" class="action"><input type="submit" value="Show"></input></td>
	      </tr>
	    </table>
	  </form>
	  <script type="text/javascript">swapColor('tbodyNode', false);</script>
	  <script type="text/javascript">swapColor('tbodyNode2', false);</script>
	</td>
      </tr>
    </table>
  </body>
</html>
