<?xml version='1.0'?>
<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN'
                      '/local/share/xml/XHTML/dtds/xhtml1-transitional.dtd'>
<html>
  <head>
    <title>SAP Adapter - Lookup</title>
    <meta http-equiv="Pragma" content="no-cache"></meta>
    <meta http-equiv="Expires" content="-1"></meta>
    <link rel="stylesheet" type="text/css" href="/WmRoot/webMethods.css"></link>
    <script type="text/javascript" src="/WmRoot/webMethods.js.txt"></script>
    <!-- %invoke sap.admin.bor:getBAPIDefinition% -->
  </head>
  <body>
    <table width="100%">
      <tr>
	<td class="menusection-Adapters" colspan="2">SAP &gt; Lookup
	  &gt; BAPI
	</td>
      </tr>
      <tr>
	<td colspan="2">
	  <ul>
	    <li><a href="/SAP/sapRFCLookup_searchPage.dsp">Return to Lookup</a></li>
	    <li><a href="/SAP/sapBOR_BusinessObject.dsp?serverName=%value -urlencode serverName%&amp;objectName=%value -urlencode objectName%">Return to Business Object %value objectName%</a></li>
	  </ul>
	</td>
      </tr>
      <tr>
	<td class="padding">&nbsp;</td>
	<td>
	  <table class="tableView">
	    <thead>
	      <tr>
		<td class="heading" colspan="2">BAPI %value objectName%.%value bapiName%</td>
	      </tr>
	      <tr>
		<td class="oddrow">Static method</td>
		<td class="oddrowdata-l">%value isStatic%</td>
	      </tr>
	      <tr>
		<td class="evenrow">Dialog method</td>
		<td class="evenrowdata-l">%value isDialog%</td>
	      </tr>
	      <tr>
		<td class="oddrow">Factory method</td>
		<td class="oddrowdata-l">%value isFactory%</td>
	      </tr>
	      <tr>
		<td class="evenrow">Function module</td>
		<td class="evenrowdata-l">%value functionName%</td>
	      </tr>
	      <!-- %ifvar messageType% -->
	      <tr>
		<td class="oddrow">ALE message type</td>
		<td class="oddrowdata-l">%value messageType%</td>
	      </tr>
	      <!-- %endif% -->
	      <tr>
		<td class="subHeading" colspan="2">Parameters</td>
	      </tr>
	    </thead>
	    <tbody id="tbodyNode">
	      <!-- %loop parameterNames% -->
	      <tr>
		<td class="evenrowdata-l" colspan="2">
		  <a href="/SAP/sapBOR_Parameter.dsp?serverName=%value -urlencode serverName%&amp;objectName=%value -urlencode objectName%&amp;bapiName=%value -urlencode bapiName%&amp;parameterName=%value -urlencode%">%value%</a>
		</td>
	      </tr>
	      <!-- %endloop% -->
	    </tbody>
	    <tbody>
	      <tr>
		<td class="action" colspan="2">
		  <form action="/SAP/sapBOR_createTemplate.dsp" method="post">
		    <input type="hidden" name="$object" value="%value objectName%"></input>
		    <input type="hidden" name="$bapi" value="%value bapiName%"></input>
		    <input type="hidden" name="$serverName" value="%value serverName%"></input>
		    <input class="button2" type="submit" value="Create XML template"></input>
		  </form>
		</td>
	      </tr>
	    </tbody>
	  </table>
	  <script>swapColor('tbodyNode', false);</script>
	</td>
      </tr>
    </table>
  </body>
  <!-- %onerror% -->
  <meta http-equiv="refresh" content="3;url=/SAP/sapBOR_BusinessObject.dsp?serverName=%value /serverName%&amp;objectName=%value /objectName%"></meta>
  </head>
  <body>
    <table width="100%">
      <tr>
	<td class="menusection-Adapters" colspan="2">SAP &gt; Lookup
	  &gt; BAPI
	  &gt; Error
	</td>
      </tr>
      <tr>
	<td colspan="2">
	  <ul>
	    <li><a href="/SAP/sapRFCLookup_searchPage.dsp">Return to Lookup</a></li>
	  </ul>
	</td>
      </tr>
      <tr>
	<td class="padding">&nbsp;</td>
	<td>
	  <table class="tableView">
	    <tr>
	      <td class="heading">%value errorMessage%</td>
	    </tr>
	    <tr>
	      <td class="oddrowdata-l">
		BAPI
		%ifvar /objectName -notempty%%value /objectName%.%endif%%value /bapiName%
		not found. Check <a href="/SAP/sapBOR_BusinessObject.dsp?serverName=%value sapBOR_Keyfield.dsp?serverName=%value -urlencode serverName%&amp;objectName=%value -urlencode objectName%&amp;keyfieldName=%value -urlencode% /serverName%&amp;objectName=%value -urlencode /objectName%">%value /objectName% overview page</a>.
	      </td>
	    </tr>
	  </table>
	</td>
      </tr>
    </table>
  </body>
  <!-- %endinvoke% -->
</html>