<?xml version='1.0'?>
<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN'
                      '/local/share/xml/XHTML/dtds/xhtml1-transitional.dtd'>
<html>
  <head>
    <title>SAP Adapter - Lookup</title>
    <meta http-equiv="Pragma" content="no-cache"></meta>
    <meta http-equiv="Expires" content="-1"></meta>
    <link rel="stylesheet" type="text/css" href="/WmRoot/webMethods.css"></link>
    <script type="text/javascript" src="/WmRoot/webMethods.js.txt"></script>
    <!-- %invoke sap.admin.bor:getObjectDefinition% -->
  </head>
  <body>
    <table width="100%">
      <tr>
	<td class="menusection-Adapters" colspan="2">SAP &gt; Lookup
	  &gt; Business Object
	</td>
      </tr>
      <tr>
	<td colspan="2">
	  <ul>
	    <li><a href="/SAP/sapRFCLookup_searchPage.dsp">Return to Lookup</a></li>
	  </ul>
	</td>
      </tr>
      <tr>
	<td class="padding">&nbsp;</td>
	<td>
	  <table class="tableView">
	    <thead>
	      <tr>
		<td class="heading">Business Object %value objectName%</td>
	      </tr>
	    </thead>
	    <!-- %ifvar keyfieldNames% -->
	    <tbody>
	      <tr>
		<td class="subHeading">Key fields</td>
	      </tr>
	    </tbody>
	    <tbody id="tbodyNode">
	      <!-- %loop keyfieldNames% -->
	      <tr>
		<td class="oddrowdata-l">
		  <a href="/SAP/sapBOR_Keyfield.dsp?serverName=%value -urlencode serverName%&amp;objectName=%value -urlencode objectName%&amp;keyfieldName=%value -urlencode%">%value%</a>
		</td>
	      </tr>
	    </tbody>
	    <!-- %endloop% -->
	    <!-- %endif% -->
	    <tbody>
	      <tr>
		<td class="subHeading">BAPIs</td>
	      </tr>
	    </tbody>
	    <tbody id="tbodyNode">
	      <!-- %loop bapiNames% -->
	      <tr>  
		<td class="oddrowdata-l">
		  <a href="/SAP/sapBOR_BAPI.dsp?serverName=%value -urlencode serverName%&amp;objectName=%value -urlencode objectName%&amp;bapiName=%value -urlencode%">%value%</a>
		</td>
	      </tr>
	      <!-- %endloop% -->
	    </tbody>
	  </table>
	  <script>swapColor('tbodyNode', false);</script>
	</td>
      </tr>
    </table>
  </body>
  <!-- %onerror% -->
  <meta http-equiv="refresh" content="3;url=/SAP/sapBOR_listObjects.dsp?serverName=%value -urlencode /serverName%"></meta>
  </head>
  <body>
    <table width="100%">
      <tr>
	<td class="menusection-Adapters" colspan="2">SAP &gt; Lookup
	  &gt; Business Object
	  &gt; Error
	</td>
      </tr>
      <tr>
	<td colspan="2">
	  <ul>
	    <li><a href="/SAP/sapRFCLookup_searchPage.dsp">Return to Lookup</a></li>
	  </ul>
	</td>
      </tr>
      <tr>
	<td class="padding">&nbsp;</td>
	<td>
	  <table class="tableView">
	    <tr>
	      <td class="heading">%value errorMessage%</td>
	    </tr>
	    <tr>
	      <td class="oddrowdata-l">
		Business Object %value /objectName% not found. Check <a href="/SAP/sapBOR_listObjects.dsp?serverName=%value -urlencode /serverName%">object list to select another business object</a>
	      </td>
	    </tr>
	  </table>
	</td>
      </tr>
    </table>
  </body>
  <!-- %endinvoke% -->
</html>