<?xml version='1.0'?>
<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN'
                      '/local/share/xml/XHTML/dtds/xhtml1-transitional.dtd'>
<html>
  <head>
    <title>SAP Gateway - Lookup</title>
    <meta http-equiv="Pragma" content="no-cache"></meta>
    <meta http-equiv="Expires" content="-1"></meta>
    <link rel="stylesheet" type="text/css" href="/WmRoot/webMethods.css"></link>
	<!-- %invoke pub.sap.bapi:createTemplate% -->
    <!-- %ifvar $redirect% -->
    <meta http-equiv="refresh" content="3;url=/SAP/sapBOR_%value $redirect%.dsp?serverName=%value -urlencode serverName%&amp;objectName=%value -urlencode objectName%"></meta>
    <!-- %endif% -->
  </head>
  <body>
    <table width="100%">
      <tr>
	<td class="menusection-Adapters" colspan="2">SAP &gt; Lookup
	  &gt; BAPI-XML Template
	  <!-- %ifvar $redirect% -->
	  &gt; Error
	  <!-- %endif% -->
	</td>
      </tr>
      <tr>
	<td colspan="2">
	  <ul>
	    <li><a href="/SAP/sapRFCLookup_searchPage.dsp">Return to Lookup</a></li>
	  </ul>
	</td>
      </tr>
      <tr>
	<td class="padding">&nbsp;</td>
	<td>
	  <!-- %ifvar $redirect% -->
	  <table class="tableView">
	    <tr>
	      <td class="heading">Selected BAPI not found on %value serverName%.</td>
	    </tr>
	    <tr>
	      <td class="oddrowdata-l">
		<a href="/SAP/sapBOR_%value $redirect%.dsp?serverName=%value -urlencode serverName%&amp;objectName=%value -urlencode objectName%">Browse available BAPIs</a>
	      </td>
	    </tr>
	  </table>
	  <!-- %else% -->
	  <form method="post" action="/invoke/sap.demo/handlebXMLPost">
	    <table class="tableForm">
	      <tr>
		<td class="heading" colspan="2">bXML template for %value objectName%.%value bapiName%</td>
	      </tr>
	      <tr>
		<td class="oddrow"> 
		  <textarea name="xmlData" rows="25" cols="75">%value xmlData%
		  </textarea>
		</td>
	      </tr>
	      <tr>
		<td class="action">
		  <select size="1" name="mode">
		    <option selected="selected" value="sync">synchronous call to
		      %value serverName% via RFC </option> 
		    <option value="async">asynchronous call to %value serverName% via ALE </option>
		    <option value="routing">apply routing rules</option>
		  </select>
		  <input type="hidden" name="serverName" value="%value serverName%"></input>
		  <input type="submit" value="Invoke" name="B1"></input>
		</td>
	      </tr>
	    </table>
	  </form>
	  <!-- %endif% -->
	</td>
      </tr>
    </table>
  </body>
  <!-- %onerror% -->
  </head>
  <body>
  %include error.html%
  </body>
  <!-- %endinvoke% -->
</html>
