<?xml version='1.0'?>
<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN'
                      '/local/share/xml/XHTML/dtds/xhtml1-transitional.dtd'>
<html>
  <head>
    <title>SAP Gateway - Lookup</title>
    <meta http-equiv="Pragma" content="no-cache"></meta>
    <meta http-equiv="Expires" content="-1"></meta>
    <link rel="stylesheet" type="text/css" href="/WmRoot/webMethods.css"></link>
  </head>
  <body>
    <!-- 
    %ifvar todo equals('Clear Inputs')%
      %invoke sap.admin.test:clearInputs%
      %endinvoke%
    %endif%
    -->
    %invoke sap.admin.test:prepare%
    <table width="100%">
      <tr>
	<td class="menusection-Adapters" colspan="2">SAP &gt; Lookup
	  &gt; Function Module Signature &gt; Function Module Test</td>
      </tr>
      <tr>
	<td colspan="2">
	  <ul>
	    <li><a href="sapRFCLookup_searchPage.dsp">Return to Lookup</a></li>
	    <li><a href="sapRFCLookup_FunctionInterface.dsp?serverName=%value -urlencode serverName%&amp;$rfcname=%value -urlencode $rfcname%">Return 
		to Function Module Signature for %value $rfcname%</a></li>
	  </ul>
	</td>
      </tr>
      <tr>
	<td class="padding">&nbsp;</td>
	<td>
	  <form method="post" action="sapRFCLookup_InvokeResults.dsp">
	    <input type="hidden" name="serverName" value="%value serverName%"></input>
	    <input type="hidden" name="$rfcname" value="%value $rfcname%"></input>
	    <table class="tableView">
	      <tr>
		<td class="heading" colspan="2">%value $rfcname%</td>
	      </tr>
	      <!-- %ifvar imports% -->
	      <tr>
		<td class="subHeading" colspan="2">Import parameters</td>
	      </tr>
	      <!-- %loop imports% -->
	      <!-- %ifvar fields%%comment% this is a structure %endcomment% -->
	      <tr>
		<td class="rowlabel">%value name%</td>
		<td class="evenrowdata-l" valign="top"
		    style="padding: 0px;">
		    %include dynamicInvoke_Structures.html%
		</td>
	      </tr>
	      <!-- %else% -->
	      <tr>
		<td class="rowlabel">%value name%</td>
		<td class="evenrowdata-l">
            <!-- %ifvar maxlength equals(-1)%%comment% STRING or XSTRING no length limit %endcomment% -->
	       <input name="%value name%" size="42" value="%value default%"></input>
            <!-- %else%%comment% now a structure again ... %endcomment% -->
	       <input name="%value name%" maxlength="%value maxlength%" size="%value maxlength%" value="%value default%"></input>
            <!-- %endif% -->
		</td>
	      </tr>
	      <!-- %endif% -->
	      <!-- %endloop% -->
	      <!-- %endif% -->
	      
	      <!-- %ifvar tables% -->
	      <tr>
		<td class="subHeading" colspan="2">Tables</td>
	      </tr>
	      <!-- %loop tables% -->
	      <tr>
		<td class="rowlabel">%value name%
		  <input type="hidden" name="$T_%value /$rfcname%:%value name%" value=""></input>
		</td>
		<td class="evenrowdata-l" valign="middle">
		    <!-- %ifvar entries equals('1')% -->
		  &nbsp;1&nbsp;<a href="sapRFCLookup_editTable.dsp?tableName=%value -urlencode /$rfcname%:%value -urlencode name%&amp;fullName=%value -urlencode name%&amp;$rfcname=%value -urlencode /$rfcname%&amp;serverName=%value -urlencode /serverName%">entry</a>
		    <!-- %else% -->
		  &nbsp;%value entries%&nbsp;<a href="sapRFCLookup_editTable.dsp?tableName=%value -urlencode /$rfcname%:%value -urlencode name%&amp;fullName=%value -urlencode name%&amp;$rfcname=%value -urlencode /$rfcname%&amp;serverName=%value -urlencode /serverName%">entries</a>
		    <!-- %endif% -->
		</td>
	      </tr>
	      <!-- %endloop% -->
	      <!-- %endif% -->
	      <tr>
		<td class="action" colspan="2">
		  <input type="submit" name="todo" value="Test Function"></input>
		  <input onclick="this.form.action='sapRFCLookup_DynamicInvoke.dsp'; return true;" 
			 type="submit" name="todo" value="Clear Inputs"></input>
		</td>
	      </tr>
	    </table>
	  </form>
	</td>
      </tr>
    </table>
    %onerror% %include error.html%
    %endinvoke%
  </body>
</html>