<?xml version='1.0'?>
<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN'
                      '/local/share/xml/XHTML/dtds/xhtml1-transitional.dtd'>
<html>
  <head>
    <title>SAP Gateway - Lookup</title>
    <meta http-equiv="Pragma" content="no-cache"></meta>
    <meta http-equiv="Expires" content="-1"></meta>
    <meta http-equiv="Content-Type" content="text/html; charset=%value $mimeCharset%"></meta>
    <link rel="stylesheet" type="text/css" href="/WmRoot/webMethods.css"></link>
    <script type="text/javascript" src="/WmRoot/webMethods.js.txt"></script>
  </head>
  <body onload="setNavigation('/SAP/sapRFCLookup_searchPage.dsp', '/SAP/doc/OnlineHelp/FRM_TAB_SAP_RFCLookup.html', 'bla');">
    <!-- %ifvar action equals('Save')%
           %invoke sap.admin.map:saveSettings%
           %onerror%
           %include error.html%
           %endinvoke%
         %endifvar% -->
    %invoke pub.sap.client:getFunctionInterface%
    <table width="100%">
      <tr>
	<td class="menusection-Adapters" colspan="2">SAP &gt; Lookup
	  &gt; Function Module Signature</td>
      </tr>
      <tr>
	<td colspan="2">
	  <ul>
	    <li><a href="sapRFCLookup_searchPage.dsp">Return to Lookup</a></li>
	  </ul>
	</td>
      </tr>
      <tr>
	<td class="padding">&nbsp;</td>
	<td>
	  <table class="tableView">
	    <thead>
	      <tr>
		<td class="heading" colspan="7">Function module signature for %value $rfcname%</td>
	      </tr>
	      <tr>
		<td class="oddcol">Class</td>
		<td class="oddcol">Parameter</td>
		<td class="oddcol">Table</td>
		<td class="oddcol">Type</td>
		<td class="oddcol">Length</td>
		<td class="oddcol">Decimals</td>
		<td class="oddcol">Optional</td>
	      </tr>
	    </thead>
	    <tbody id="tbodyNode">
	      <!-- %loop params% -->
	      <tr>
		<td class="evenrowdata">%value paramClass%</td>
		<td class="evenrowdata-l">%value parameter%</td>
		<td class="evenrowdata-l"><a class="leftnav" href="sapRFCLookup_StructureDefinition.dsp?structName=%value -urlencode tabName%&amp;serverName=%value -urlencode /serverName%&amp;$rfcname=%value -urlencode /$rfcname%">%value tabName%</a></td>
		<td class="evenrowdata-l">%value type%</td>
		<td class="evenrowdata-r">%value length%</td>
		<td class="evenrowdata">%value decimals%</td>
		<td class="evenrowdata">%value optional%</td>
	      </tr>
	      <!-- %endloop% -->
	    </tbody>
	    <tbody>
	      <tr>
		<td class="action" colspan="7">
		  <form action="sapRFCLookup_DynamicInvoke.dsp">
		    <input type="hidden" name="$rfcname" value="%value $rfcname%"></input>
		    <input type="hidden" name="serverName" value="%value serverName%"></input>
		    <input type="submit" value="Test Function"></input>
		  </form>
		</td>
	      </tr>
	    </tbody>
	  </table>
	  <script>swapColor('tbodyNode', false);</script>
	  <table class="tableView">
	    <tr>
	      <td class="heading" colspan="3">Map</td>
	    </tr>
		  <!-- %rename $rfcname functionName -copy% -->
	    <tr>
	      <td class="oddrowdata"><img alt="left" border="0" src="/SAP/icons/left.gif"></img></td>
	      <td class="oddrowdata">(SAP calling SAP BC)</td>
	      <td class="oddrowdata">
	      <!-- %invoke sap.admin.map:getFlowNames% -->
		<a href="sapServers_editServiceMap.dsp?functionName=%value -urlencode functionName%&amp;serverName=%value -urlencode /serverName%&amp;type=inbound&amp;fi=TRUE">%value inboundMapFlow null='(Define New Map)'%</a>
		  <!-- %onerror% -->
		<a href="sapServers_editServiceMap.dsp?functionName=%value -urlencode functionName%&amp;serverName=%value -urlencode /serverName%&amp;type=inbound&amp;fi=TRUE">(Define New Map)</a>
		  <!-- %endinvoke% -->
	      </td>
	    </tr>
	    <tr>
	      <td class="evenrowdata">
		<img alt="right" border="0" src="/SAP/icons/right.gif"></img>
	      </td>
	      <td class="evenrowdata">(SAP BC calling SAP)</td>
	      <td class="evenrowdata">
	      <!-- %invoke sap.admin.map:getFlowNames% -->
		<a href="sapServers_editServiceMap.dsp?functionName=%value -urlencode functionName%&amp;serverName=%value -urlencode /serverName%&amp;type=outbound&amp;fi=TRUE">%value outboundMapFlow null='(Define New Map)'%</a>
		  <!-- %onerror% -->
		<a href="sapServers_editServiceMap.dsp?functionName=%value -urlencode functionName%&amp;serverName=%value -urlencode /serverName%&amp;type=outbound&amp;fi=TRUE">(Define New Map)</a>
		  <!-- %endinvoke% -->
	      </td>
	    </tr>
		
	  </table>
	</td>
      </tr>
    </table>
    %onerror%
    %include error.html%
    %endinvoke%
  </body>
</html>