<?xml version='1.0'?>
<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN'
                      '/local/share/xml/XHTML/dtds/xhtml1-transitional.dtd'>
<html>
  <head>
    <title>SAP Adapter - Lookup</title>
    <link rel="stylesheet" type="text/css" href="/WmRoot/webMethods.css"></link>
    <script type="text/javascript" src="/WmRoot/webMethods.js.txt"></script>
    <meta http-equiv="Pragma" content="no-cache"></meta>
    <meta http-equiv="Expires" content="-1"></meta>
  </head>
  <body onload="setNavigation('/SAP/sapRFCLookup_searchPage.dsp', '/SAP/doc/OnlineHelp/TAB_SAP_Table.html', 'bla');">
    <!-- %invoke pub.sap.client:getStructureDefinition% -->
    <table width="100%">
      <tr>
	<td class="menusection-Adapters" colspan="2">SAP &gt; Lookup
	  &gt; %ifvar /keyfieldName%Key Field%else%%ifvar /parameterName%Parameter%else%RFC Signature%endif%%endif% &gt; Table</td>
      </tr>
      <tr>
	<td colspan="2">
	  <ul>
	    <li><a href="sapRFCLookup_searchPage.dsp">Return to Lookup</a></li>
	    <!-- %ifvar /submit% -->
	    <!-- %else%%ifvar /keyfieldName% -->
	    <li><a href="sapBOR_Keyfield.dsp?serverName=%value -urlencode serverName%&amp;objectName=%value -urlencode objectName%&amp;keyfieldName=%value -urlencode /keyfieldName%">Return to Key Field %value /keyfieldName%</a></li>
	    <!-- %else%%ifvar /parameterName% -->
	    <li><a href="sapBOR_Parameter.dsp?serverName=%value -urlencode serverName%&amp;objectName=%value -urlencode objectName%&amp;bapiName=%value -urlencode bapiName%&amp;parameterName=%value -urlencode /parameterName%">Return to Parameter %value /parameterName%</a></li>
	    <!-- %else% -->
	    <li><a href="sapRFCLookup_FunctionInterface.dsp?$rfcname=%value -urlencode $rfcname%&amp;serverName=%value -urlencode /serverName%">Return to RFC Signature for %value $rfcname%</a></li>
	    <!-- %endif% -->
	    <!-- %endif% -->
	    <!-- %endif% -->
	  </ul>
	</td>
      </tr>
      <!-- %ifvar action equals('Save')% -->
      <tr>
        <!-- %invoke sap.admin.map:saveRecord% -->
	<td class="message" colspan="2">Generated record %value folder%:%value recordName%.</td>
        <!-- %onerror% -->
	<td class="message" colspan="2">%ifvar $error%%value $error%%else%%ifvar error%%value errorMessage%%endif%%endif%</td>
        <!-- %endinvoke% -->
      </tr>
      <tr><td colspan="2">&nbsp;</td></tr>
      <!-- %endif% -->
      <tr>
	<td class="padding">&nbsp;</td>
	<td>
	  <table class="tableView">
	    <thead>
	      <tr>
		<td class="heading" colspan="6">%value structName%</td>
	      </tr>
	      <tr>
		<td class="oddcol">Field</td>
		<td class="oddcol">Position</td>
		<td class="oddcol">Offset</td>
		<td class="oddcol">Length</td>
		<td class="oddcol">Decimals</td>
		<td class="oddcol">Type</td>
	      </tr>
	    </thead>
	    <tbody id="tbodyNode">
	      <!-- %loop fields% -->
	      <tr>
		<td class="evenrowdata-l">%value fieldName%</td>
		<td class="evenrowdata-r">%value position%</td>
		<td class="evenrowdata-r">%value offset%</td>
		<td class="evenrowdata-r">%value length%</td>
		<td class="evenrowdata">%value decimals%</td>
		<td class="evenrowdata-l">
		<!-- %switch type% -->
		<!-- %case 'STRUCTURE'% -->
	    <!-- %ifvar /keyfieldName% -->
		  <a class="leftnav" href="/SAP/sapRFCLookup_StructureDefinition.dsp?serverName=%value -urlencode /serverName%&amp;structName=%value -urlencode tabName%&amp;objectName=%value -urlencode /objectName%&amp;keyfieldName=%value -urlencode /keyfieldName%">%value type%</a>
	    <!-- %else%%ifvar /parameterName% -->
		  <a class="leftnav" href="/SAP/sapRFCLookup_StructureDefinition.dsp?serverName=%value -urlencode /serverName%&amp;structName=%value -urlencode tabName%&amp;objectName=%value -urlencode /objectName%&amp;bapiName=%value -urlencode /bapiName%&amp;parameterName=%value -urlencode /parameterName%">%value type%</a>
	    <!-- %else% -->
		  <a class="leftnav" href="/SAP/sapRFCLookup_StructureDefinition.dsp?serverName=%value -urlencode /serverName%&amp;structName=%value -urlencode tabName%&amp;$rfcname=%value -urlencode /$rfcname%">%value type%</a>
	    <!-- %endif% -->
	    <!-- %endif% -->
		<!-- %case 'TABLE'% -->
	    <!-- %ifvar /keyfieldName% -->
		  <a class="leftnav" href="/SAP/sapRFCLookup_StructureDefinition.dsp?serverName=%value -urlencode /serverName%&amp;structName=%value -urlencode tabName%&amp;objectName=%value -urlencode /objectName%&amp;keyfieldName=%value -urlencode /keyfieldName%">%value type%</a>
	    <!-- %else%%ifvar /parameterName% -->
		  <a class="leftnav" href="/SAP/sapRFCLookup_StructureDefinition.dsp?serverName=%value -urlencode /serverName%&amp;structName=%value -urlencode tabName%&amp;objectName=%value -urlencode /objectName%&amp;bapiName=%value -urlencode /bapiName%&amp;parameterName=%value -urlencode /parameterName%">%value type%</a>
	    <!-- %else% -->
		  <a class="leftnav" href="/SAP/sapRFCLookup_StructureDefinition.dsp?serverName=%value -urlencode /serverName%&amp;structName=%value -urlencode tabName%&amp;$rfcname=%value -urlencode /$rfcname%">%value type%</a>
	    <!-- %endif% -->
	    <!-- %endif% -->
		<!-- %case% -->
		  %value type%
		<!-- %endswitch% -->
		</td>
	      </tr>
	      <!-- %endloop% -->
	    </tbody>
	    <tbody>
	      <tr>
		<td class="subHeading">Length</td>
		<td class="oddrowdata-r" colspan="5">%value tabLength%</td>
	      </tr>
	    </tbody>
	  </table>
	</td>
      </tr>
	  <script>swapColor('tbodyNode', false);</script>
      <tr>
	<td class="padding">&nbsp;</td>
	<td>
      <form action="sapRFCLookup_StructureDefinition.dsp" method="post">
	    <table class="tableForm">
	      <tr>
		<td class="heading" colspan="3">Generate Record for %value structName%</td>
	      </tr>
	      <tr>
		<td class="evenrow">Folder</td>
		<td class="evenrow-l" colspan="2">
		  <input name="folder" onblur="if(this.value.indexOf(' ')!=-1) { alert('Spaces are not permitted in Folder names.'); this.value=''; return false; } else { return true; }"></input>
		</td>
	      </tr>
	      <tr>
		<td class="oddrow">Record</td>
		<td class="oddrow-l" colspan="2">
		  <input name="recordName" onblur="if(this.value.indexOf(' ')!=-1) { alert('Spaces are not permitted in Record names.'); this.value=''; return false; } else { return true; }"></input>
		</td>
	      </tr>
	      <tr>
		<td class="evenrow">Package</td>
		<td class="evenrow-l" colspan="2">
		  <!-- %invoke wm.server.packages:packageList% -->
		  <select name="packageName">
		    <!-- %loop packages% -->
		    <!-- %switch name% -->
		    <!-- %case 'SAP'% -->
		    <!-- %case 'WmRoot'% -->
		    <!-- %case 'WmPublic'% -->
		    <!-- %case 'WmDB'% -->
		    <!-- %case 'WmPartners'% -->
		    <!-- %comment% do not allow to save records in these packages %endcomment% -->
		    <!-- %case% -->
		    <option value="%value name%"%ifvar name vequals(../../packageName)% selected="selected"%endif%>%value name%</option>
		    <!-- %endswitch% -->
		    <!-- %endloop% -->
		  </select>
		  <!-- %onerror% -->
		  <input name="packageName">Default</input>
	      <!-- %endinvoke% -->
		</td>
		  </tr>
	      <tr>
		<td colspan="3">&nbsp;</td>
	      </tr>
	      <tr>
		<td class="action" colspan="3">
		  <input type="hidden" name="structName" value="%value structName%"></input>
		  <input type="hidden" name="serverName" value="%value serverName%"></input>
	    <!-- %ifvar /submit% -->
		  <input type="hidden" name="submit" value="%value submit%"></input>
	    <!-- %else%%ifvar /keyfieldName% -->
		  <input type="hidden" name="keyfieldName" value="%value /keyfieldName%"></input>
		  <input type="hidden" name="objectName" value="%value /objectName%"></input>
	    <!-- %else%%ifvar /parameterName% -->
		  <input type="hidden" name="parameterName" value="%value /parameterName%"></input>
		  <input type="hidden" name="objectName" value="%value /objectName%"></input>
		  <input type="hidden" name="bapiName" value="%value /bapiName%"></input>
	    <!-- %else% -->
		  <input type="hidden" name="$rfcname" value="%value $rfcname%"></input>
	    <!-- %endif% -->
	    <!-- %endif% -->
	    <!-- %endif% -->
		  <input type="submit" name="action" value="Save"></input>
		</td>
	      </tr>
	    </table>
	  </form>
	</td>
      </tr>
    </table>
    <!-- %onerror% -->
    %include error.html%
    <!-- %endinvoke% -->
  </body>
</html>