<?xml version='1.0'?>
<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN'
                      '/local/share/xml/XHTML/dtds/xhtml1-transitional.dtd'>
<html>
  <head>
    <title>SAP Gateway - SAP Servers</title>
    <meta http-equiv="Pragma" content="no-cache"></meta>
    <meta http-equiv="Expires" content="-1"></meta>
    <link rel="stylesheet" type="text/css" href="/WmRoot/webMethods.css"></link>
    <script type="text/javascript" src="/WmRoot/webMethods.js.txt"></script>
    <script type="text/javascript">
      <!-- 
      function init() {
      setNavigation('sapServers_listServers.dsp', '/SAP/doc/OnlineHelp/TAB_SAP_ConnectedTo.html', 'bla');
      } //
      -->
    </script>
  </head>
  <body onload="init();">
    %invoke sap.admin.server:getInfo%
    <table width="100%">
      <tr>
	<td class="menusection-Adapters" colspan="3">SAP &gt; SAP
	  Servers &gt; %value serverName% Settings &gt; Connected</td>
      </tr>
      <tr>
	<td colspan="3">
	  <ul>
	    <li><a href="sapServers_listServers.dsp">Return to SAP Servers</a></li>
	    <li><a href="javascript:history.back()">Return to %value serverName% Settings</a></li>
	  </ul>
	</td>
      </tr>
      <tr>
	<td class="padding">&nbsp;</td>
	<td>
	  <table class="tableView">
	    <tr>
	      <td class="heading" colspan="2">RFC Attributes</td>
	    </tr>
	    <!-- %invoke pub.sap.client:getAttributes% -->
	    <!-- %loop -struct rfcAttributes% -->
	    <tr>
	      <td class="oddrow">%value $key%</td>
	      <td class="evenrowdata-l">%value%</td>
	    </tr>
	    <!-- %endloop% -->
	    <!-- %endinvoke% -->
	    <tr>
	      <td class="action" colspan="2">
		<form action="sapServers_listServers.dsp">
		  <input type="hidden" value="logout" name="action"></input>
		  <input type="hidden" value="%value serverName%" name="serverName"></input>
		  <input type="submit" value="Logout"></input>
		</form>
	      </td>
	    </tr>
	  </table>
	</td>
	<td valign="top">
	  <table class="tableView">
	    <tr>
	      <td class="heading" colspan="2">Target System Information</td>
	    </tr>
	    <tr>
	      <td class="oddrow">Login Complete</td>
	      <td class="oddrowdata-l">%value loginComplete%</td>
	    </tr>
	    <tr>
	      <td class="evenrow">Current Resources</td>
	      <td class="evenrowdata-l">%value currentResources%</td>
	    </tr>
	    <tr>
	      <td class="oddrow">Maximum Resources</td>
	      <td class="oddrowdata-l">%value maxResources%</td>
	    </tr>
	    <tr>
	      <td class="evenrow">SystemID</td>
	      <td class="evenrowdata-l">%value systemID%</td>
	    </tr>
	    <tr>
	      <td class="oddrow">Operating System</td>
	      <td class="oddrowdata-l">%value operatingSystem%</td>
	    </tr>
	    <tr>
	      <td class="evenrow">Database</td>
	      <td class="evenrowdata-l">%value database%</td>
	    </tr>
	    <tr>
	      <td class="oddrow">IP Address</td>
	      <td class="oddrowdata-l">%value ipAddress%</td>
	    </tr>
	  </table>
	</td>
      </tr>
    </table>
    %onerror%
    <script type="text/javascript">
      <!-- 
      function init() {
      setNavigation('/SAP/sapServers_listServers.dsp', '/SAP/doc/OnlineHelp/TAB_SAP_Error.html', 'bla');
      }
      -->
    </script>
    %include error.html%
    %endinvoke%
  </body>
</html>