<?xml version='1.0'?>
<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN'
                      '/local/share/xml/XHTML/dtds/xhtml1-transitional.dtd'>
<html>
  <head>
    <title>SAP Gateway - SAP Servers</title>
    <meta http-equiv="Pragma" content="no-cache"></meta>
    <meta http-equiv="Expires" content="-1"></meta>
    <link rel="stylesheet" type="text/css" href="/WmRoot/webMethods.css"></link>
    <script type="text/javascript" src="/WmRoot/webMethods.js.txt"></script>
  </head>
  <body onload="setNavigation('/SAP/sapServers_listServers.dsp', '/SAP/doc/OnlineHelp/TAB_SAP_ListenerDef.html', 'bla');">
    %invoke sap.admin.listener:settings%
    <table width="100%">
      <tr>
	<td class="menusection-Adapters" colspan="2">SAP &gt; SAP
	  Servers &gt; SAP Listeners for %value serverName%
	  &gt; %ifvar -notempty programID%Edit %value programID%%else%Add Listener%endif%</td>
      </tr>
      <tr>
	<td colspan="2">
	  <ul>
	    <li><a href="sapServers_listServers.dsp">Return to SAP Servers</a></li>
	    <li><a href="sapServers_listenerAdmin.dsp?serverName=%value -urlencode ../serverName%">Return to SAP Listeners for %value serverName%</a></li>
	  </ul>
	</td>
      </tr>
      <tr>
	<td class="padding">&nbsp;</td>
	<td>
	  <form action="sapServers_listenerAdmin.dsp" name="editListenerForm" method="post">
	    <input type="hidden" name="serverName" value="%value serverName%"></input>
	    <input type="hidden" name="listenerID" value="%value listenerID%"></input>
	    <table class="tableForm">
	      <tr>
		<td class="heading" colspan="6">SAP Listener Definition</td>
	      </tr>
	      <tr>
		<td class="oddrow">Program ID</td>
		<td class="oddrow-l" colspan="2"><input name="programID" value="%value programID%"></input></td>
		<td class="oddrow">Number of Threads</td>
		<td class="oddrow-l" colspan="2">
		  <input name="threadCount" value="%value threadCount%" size="2" maxlength="2"></input>
		</td>
	      </tr>
	      <tr>
		<td class="evenrow">Gateway Host</td>
		<td class="evenrow-l" colspan="2"><input name="gatewayHost" value="%value gatewayHost%"></input></td>
		<td class="evenrow">Gateway Service</td>
		<td class="evenrow-l" colspan="2">
		  <!-- %invoke sap.admin.listener:listGatewayServices% -->
		  <select name="gatewayService">
		    <!-- %loop gatewayServices% -->
		    <option value="%value%"%ifvar gatewayServices vequals(gatewayService)% selected="selected"%endif%>%value%</option>
		    <!-- %endloop% -->
		  </select>
		  <!-- %onerror% -->
		  <input name="gatewayService" value="%value gatewayService%"></input>
		  <!-- %endinvoke% -->
		</td>
	      </tr>
	      <tr>
		<td class="oddrow">Autostart</td>
		<td class="oddrow-l">
		  <!-- %ifvar autostart equals('true')% -->
		  <input type="radio" checked="checked" name="autostart" value="true"></input>Yes
		  <!-- %else% -->
		  <input type="radio" name="autostart" value="true"></input>Yes
		  <!-- %endif% -->
		</td>
		<td class="oddrow-l">
		  <!-- %ifvar autostart equals('false')% -->
		  <input type="radio" checked="checked" name="autostart" value="false"></input>No
		  <!-- %else% -->
		  <input type="radio" name="autostart" value="false"></input>No
		  <!-- %endif% -->
		</td>
		<td class="oddrow">RFC Trace</td>
		<td class="oddrow-l">
		  <!-- %ifvar trace equals('true')% -->
		  <input checked="checked" type="radio" name="trace" value="true"></input>On
		  <!-- %else% -->
		  <input type="radio" name="trace" value="true"></input>On
		  <!-- %endif% -->
		</td>
		<td class="oddrow-l">
		  <!-- %ifvar trace equals('false')% -->
		  <input checked="checked" type="radio" name="trace" value="false"></input>Off
		  <!-- %else% --> 
		  <input type="radio" name="trace" value="false"></input>Off
		  <!-- %endif% -->
		</td>
	      </tr>
	      <tr>
		<td class="evenrow">Repository Server</td>
		<td class="evenrow-l" colspan="2">
		  <!-- %invoke sap.admin.server:list% -->
		  <!-- %ifvar servers% -->
		  <select name="repository">
		    <!-- %loop servers% -->
		    <!-- %ifvar serverName vequals(../../repository)% -->
		    <option selected="selected" value="%value serverName%">%value serverName%</option>
		    <!-- %else% -->
		    <option value="%value serverName%">%value serverName%</option>
		    <!-- %endif% -->
		    <!-- %endloop% -->
		  </select>
		  <!-- %else% -->
		  No SAP Servers Defined
		  <!-- %endif% -->
		  <!-- %onerror% -->
		  <input name="repository" value="%value repository%"></input>
		  <!-- %endinvoke% -->
		</td>
		<td class="evenrow">Unicode Listener</td>
		<td class="evenrow-l">
		  <!-- %ifvar unicode equals('true')% -->
		  <input type="radio" checked="checked" name="unicode" value="true"></input>Yes
		  <!-- %else% -->
		  <input type="radio" name="unicode" value="true"></input>Yes
		  <!-- %endif% -->
		</td>
		<td class="evenrow-l">
		  <!-- %ifvar unicode equals('false')% -->
		  <input type="radio" checked="checked" name="unicode" value="false"></input>No
		  <!-- %else% -->
		  <input type="radio" name="unicode" value="false"></input>No
		  <!-- %endif% -->
		</td>
	      </tr>
	      <tr>
		<td class="action" colspan="6">
		  <input type="submit" name="action" value="Save"></input>
		  <input type="submit" name="action" value="Cancel"></input>
		</td>
	      </tr>
	    </table>
	  </form>
	</td>
      </tr>
    </table>
    %onerror%
    %include error.html%
    %endinvoke%
  </body>
</html>