<?xml version='1.0'?>
<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN'
                      '/local/share/xml/XHTML/dtds/xhtml1-transitional.dtd'>
<html>
  <head>
    <title>SAP Gateway - SAP Servers</title>
    <meta http-equiv="Pragma" content="no-cache"></meta>
    <meta http-equiv="Expires" content="-1"></meta>
    <link rel="stylesheet" type="text/css" href="/WmRoot/webMethods.css"></link>
    <script type="text/javascript" src="/WmRoot/webMethods.js.txt"></script>
    <script type="text/javascript">
      <!-- 
      function init() {
      %ifvar type equals('inbound')%
	  setNavigation('/SAP/sapServers_listServers.dsp', '/SAP/doc/OnlineHelp/TAB_SAP_MapInbound.html', 'bla');
      %else%
      setNavigation('/SAP/sapServers_listServers.dsp', '/SAP/doc/OnlineHelp/TAB_SAP_MapOutbound.html', 'bla');
      %endif%
      
      } //
      -->
    </script>
  </head>
  <body onload="init();">
  %invoke sap.admin.map:settings%
    <table width="100%">
      <tr>
	<td class="menusection-Adapters" colspan="2">SAP &gt; SAP
	  Servers &gt; Function Maps for %value serverName%
	  &gt; %ifvar -notempty service%Edit Map%else%Add Map%endif%
	</td>
      </tr>
      <tr>
	<td colspan="2">
	  <ul>
	    <li><a href="sapServers_listServers.dsp">Return to SAP Servers</a></li>
	    <li><a href="sapServers_listServiceMaps.dsp?serverName=%value -urlencode ../serverName%">Return to RFC Function Maps for %value serverName%</a></li>
	  </ul>
	</td>
      </tr>
      <tr>
	<td class="padding">&nbsp;</td>
	<td>
	  <!-- %comment%
	  If this page was called from the Function Interface page
	  under the RFCLookup tab, then change the form action
	  value so that it returns to the correct page after a
	  save or a cancel.
	  %endcomment% -->
	  <form action="%ifvar fi equals('TRUE')%sapRFCLookup_FunctionInterface.dsp%else%sapServers_listServiceMaps.dsp%endifvar%" method="post">
	    <table class="tableForm">
	      <!-- %ifvar type equals('inbound')% %comment% begin inbound map screen %endcomment%-->
	      <tr>
		<td class="heading" colspan="3">Inbound Map for %value functionName%</td>
	      </tr>
	      <tr>
		<td class="oddrow">Type</td>
		<td class="oddrow-l">
		  <img alt="left" src="/SAP/icons/left.gif"></img>
		  <input type="hidden" name="type" value="inbound"></input>
		</td>
		<td class="oddrow">(SAP calling SAP BC)</td>
	      </tr>
	     <!-- %ifvar -notempty flowName% -->
	      <tr>
		<td class="evenrow">Flow to handle inbound function call</td>
		<td class="evenrow-l" colspan="2">%value flowName%</td>
	      </tr>
	     <!-- %endif% -->
	      <tr>
		<td colspan="3">&nbsp;</td>
	      </tr>
	      <tr>
		<td class="heading" colspan="3">Generation Parameters</td>
	      </tr>
	      <tr>
		<td class="oddrow">Generate for Listener</td>
		<td class="oddrow-l" colspan="2">
		<!-- %invoke sap.admin.listener:list% -->
		  <select name="listenerID">
		    <!-- %loop listeners% -->
		    <option value="%value listenerID%">%value programID%</option>
		    <!-- %endloop% -->
		  </select>
		<!-- %onerror% -->
		  <input type="hidden" name="listenerID" value="0"></input>
		  No Listeners defined
	     <!-- %endinvoke% -->
		</td>
		  </tr>
	      <tr>
		<td class="evenrow">Package</td>
		<td class="evenrow-l" colspan="2">
		  <!-- %invoke wm.server.packages:packageList% -->
		  <select name="packageName">
		    <!-- %loop packages% -->
		    <!-- %switch name% -->
		    <!-- %case 'SAP'% -->
		    <!-- %case 'WmRoot'% -->
		    <!-- %case 'WmPublic'% -->
		    <!-- %case 'WmDB'% -->
		    <!-- %case 'WmPartners'% -->
		    <!-- %comment% do not allow to save maps in these packages %endcomment% -->
		    <!-- %case% -->
		    <option value="%value name%"%ifvar name vequals(../../packageName)% selected="selected"%endif%>%value name%</option>
		    <!-- %endswitch% -->
		    <!-- %endloop% -->
		  </select>
		  <!-- %onerror% -->
		  <input name="packageName">Default</input>
	      <!-- %endinvoke% -->
		</td>
		  </tr>
	      <tr>
		<td class="oddrow">ACL</td>
		<td class="oddrow-l" colspan="2">
		  <select name="aclName">
		    <option value=""%ifvar aclName%%else% selected="selected"%endif%>&lt;None&gt;</option>
		    <!-- %invoke wm.server.access.adminui:aclList% -->
		    <!-- %loop aclgroups% -->
		    <option value="%value name%"%ifvar name vequals(../../aclName)% selected="selected"%endif%>%value name%</option>
		    <!-- %endloop% -->
	        <!-- %endinvoke% -->
		  </select>
		</td>
		  </tr>
	      <tr>
		<td colspan="3">&nbsp;</td>
	      </tr>
	      <tr>
		<td class="heading" colspan="3">Service to invoke</td>
	      </tr>
	      <tr >
		<td class="oddrow">Remote Server Alias</td>
		<td class="oddrow-l" colspan="2">
		  <select name="remoteServer">
		    <option value="(local)"%ifvar remoteServer equals('(local)')% selected="selected"%endif%>(local)</option>
		    <!-- %invoke wm.server.remote:serverList% -->
		    <!-- %loop -struct servers% -->
			<!-- %scope #$key% -->
		    <option value="%value alias%"%ifvar alias vequals(../../../remoteServer)% selected="selected"%endif%>%value alias%</option>
			<!-- %endscope% -->
		    <!-- %endloop% -->
		    <!-- %endinvoke% -->
		  </select>
		</td>
	      </tr>
	      <tr>
		<td class="evenrow">Folder</td>
		<td class="evenrow-l" colspan="2">
		  <input name="folder" value="%value folder%"
			 onblur="if(this.value.indexOf(' ')!=-1) { alert('Spaces are not permitted in Folder names.'); this.value=''; return false; } else { return true; }"></input>
		</td>
	      </tr>
	      <tr>
		<td class="oddrow">Service</td>
		<td class="oddrow-l" colspan="2">
		  <input name="service" value="%value service%"
			 onblur="if(this.value.indexOf(' ')!=-1) { alert('Spaces are not permitted in Service names.'); this.value=''; return false; } else { return true; }" ></input>
		</td>
	      </tr>
	      <tr>
		<td class="evenrow">Scope</td>
		<td class="evenrow-l" colspan="2">
		  <select name="valueScope" size="1">
		    <!-- %ifvar scope equals('GLOBAL')% -->
		    <option selected="selected" value="GLOBAL">GLOBAL</option>
		    <option value="SESSION">SESSION</option>
		    <!-- %else% -->
		    <option value="GLOBAL">GLOBAL</option>
		    <option selected="selected" value="SESSION">SESSION</option>
		    <!-- %endif% -->
		  </select>
		</td>
	      </tr>
	      <!-- %comment% end inbound map screen %endcomment% -->
	      <!-- %else% -->
	      <!-- %comment% begin outbound map screen %endcomment% -->
	      <tr>
		<td class="heading" colspan="3">Outbound Map for %value functionName%</td>
	      </tr>
	      <tr>
		<td class="oddrow">Type</td>
		<td class="oddrow-l">
		  <img alt="right" src="/SAP/icons/right.gif"></img>
		  <input type="hidden" name="type" value="outbound"></input>
		</td>
		<td class="oddrow">(SAP BC calling SAP)</td>
	      </tr>
	      <tr>
		<td colspan="3">&nbsp;</td>
	      </tr>
	      <tr>
		<td class="heading" colspan="3">Generation parameters</td>
	      </tr>
	      <tr>
		<td class="evenrow">Folder</td>
		<td class="evenrow-l" colspan="2">
		  <input name="folder" value="%value folder%"
			 onblur="if(this.value.indexOf(' ')!=-1) { alert('Spaces are not permitted in Folder names.'); this.value=''; return false; } else { return true; }"></input>
		</td>
	      </tr>
	      <tr>
		<td class="oddrow">Service</td>
		<td class="oddrow-l" colspan="2">
		  <input name="service" value="%value service%"
			 onblur="if(this.value.indexOf(' ')!=-1) { alert('Spaces are not permitted in Service names.'); this.value=''; return false; } else { return true; }"></input>
		</td>
	      </tr>
	      <tr>
		<td class="evenrow">Package</td>
		<td class="evenrow-l" colspan="2">
		  <!-- %invoke wm.server.packages:packageList% -->
		  <select name="packageName">
		    <!-- %loop packages% -->
		    <!-- %switch name% -->
		    <!-- %case 'SAP'% -->
		    <!-- %case 'WmRoot'% -->
		    <!-- %case 'WmPublic'% -->
		    <!-- %case 'WmDB'% -->
		    <!-- %case 'WmPartners'% -->
		    <!-- %comment% do not allow to save maps in these packages %endcomment% -->
		    <!-- %case% -->
		    <option value="%value name%"%ifvar name vequals(../../packageName)% selected="selected"%endif%>%value name%</option>
		    <!-- %endswitch% -->
		    <!-- %endloop% -->
		  </select>
		  <!-- %onerror% -->
		  <input name="packageName">Default</input>
	      <!-- %endinvoke% -->
		</td>
		  </tr>
	      <tr>
		<td class="oddrow">ACL</td>
		<td class="oddrow-l" colspan="2">
		  <select name="aclName">
		    <option value=""%ifvar aclName%%else% selected="selected"%endif%>&lt;None&gt;</option>
		    <!-- %invoke wm.server.access.adminui:aclList% -->
		    <!-- %loop aclgroups% -->
		    <option value="%value name%"%ifvar name vequals(../../aclName)% selected="selected"%endif%>%value name%</option>
		    <!-- %endloop% -->
	        <!-- %endinvoke% -->
		  </select>
		</td>
		  </tr>
	      <!-- %comment% end outbound map screen %endcomment% -->
	      <!-- %endif% -->
	      <tr>
		<td colspan="3">&nbsp;</td>
	      </tr>
	      <tr>
		<td class="action" colspan="3">
		  <input type="hidden" name="functionName" value="%value functionName%"></input>
		  <input type="hidden" name="$rfcname" value="%value functionName%"></input>
		  <input type="hidden" name="serverName" value="%value serverName%"></input>
		  <input type="submit" name="action" value="Save"></input>
		  <input type="submit" name="action" value="Cancel"></input>
		</td>
	      </tr>
	    </table>
	  </form>
	</td>
      </tr>
    </table>
    %onerror%
    %include error.html%
    %endinvoke%
  </body>
</html>