<?xml version='1.0'?>
<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN'
                      '/local/share/xml/XHTML/dtds/xhtml1-transitional.dtd'>
<html>
  <head>
    <title>SAP Gateway - SAP Servers</title>
    <meta http-equiv="Pragma" content="no-cache"></meta>
    <meta http-equiv="Expires" content="-1"></meta>
    <meta http-equiv="refresh" content="180"></meta>
    <link rel="stylesheet" type="text/css" href="/WmRoot/webMethods.css"></link>
    <script type="text/javascript" src="/WmRoot/webMethods.js.txt"></script>
  </head>
  <body onload="setNavigation('/SAP/sapServers_listServers.dsp', '/SAP/doc/OnlineHelp/FRM_TAB_SAP_Servers.html', 'bla');">
    <!-- %switch action%
           %case 'delete'%
             %invoke sap.admin.server:remove%
             %endinvoke%
           %case 'logout'%
             %invoke sap.admin.server:killSessions%
             %endinvoke%
           %case 'move'%
             %invoke sap.admin.server:move%
             %endinvoke%
         %endswitch% -->
    %invoke sap.admin.server:list%
    <table width="100%">
      <tr>
	<td class="menusection-Adapters" colspan="2">SAP &gt; SAP Servers</td>
      </tr>
      <tr>
	<td colspan="2">
	  <ul>
	    <li><a href="sapServers_serverSettingsEdit.dsp">Add SAP Server</a></li>
	  </ul>
	</td>
      </tr>
      <tr>
	<td class="padding">&nbsp;</td>
	<td>
	  <table class="tableView">
	    <thead>
	      <tr>
		<td class="heading" colspan="7">Server List</td>
	      </tr>
	      <tr>
		<td class="oddcol-l">&nbsp;</td>
		<td class="oddcol">Name</td>
		<td class="oddcol">Pools</td>
		<td class="oddcol">Locked sessions</td>
		<td class="oddcol">Maps</td>
		<td class="oddcol">Listeners</td>
		<td class="oddcol">Delete</td>
	      </tr>
	    </thead>
	    <tbody id="tbodyNode">
	      <!-- %loop servers% -->
	      <tr>
		<td width="15px" class="evenrowdata">
		  <a href="sapServers_listServers.dsp?serverName=%value -urlencode serverName%&amp;action=move&amp;direction=U"><img alt="up" border="0" src="/SAP/icons/nav-up.gif"></img></a><a href="sapServers_listServers.dsp?serverName=%value -urlencode serverName%&amp;action=move&amp;direction=D"><img alt="down" border="0" src="/SAP/icons/nav-down.gif"></img></a>
		</td>
		<td class="evenrowdata">
		  <a href="sapServers_serverSettings.dsp?oldName=%value -urlencode serverName%">%value serverName%</a>
		</td>
		<td class="evenrowdata">
		  <a href="sapServers_pools.dsp?serverName=%value -urlencode serverName%">%value poolCount empty='0'%</a>
		</td>
		<td class="evenrowdata">
		  <a href="sapServers_lockedSessions.dsp?serverName=%value -urlencode serverName%">%value lockedSessionCount empty='0'%</a>
		</td>
		<td class="evenrowdata">
		  <a href="sapServers_listServiceMaps.dsp?serverName=%value -urlencode serverName%">
		    <img alt="map" src="/SAP/icons/map.gif" border="0"></img>
		  </a>
		</td>
		<td class="evenrowdata">
		  <a href="sapServers_listenerAdmin.dsp?serverName=%value -urlencode serverName%">%value listenerCount empty='0'%</a>
		</td>
		<td class="evenrowdata">
		  <a href="sapServers_listServers.dsp?serverName=%value -urlencode serverName%&amp;action=delete">
		    <img alt="delete" src="/WmRoot/icons/delete.gif" border="0"></img>
		  </a>
		</td>
	      </tr>
	      <!-- %endloop% -->
	    </tbody>
	  </table>
	  <script>swapColor('tbodyNode', false);</script>
	</td>
      </tr>
    </table>
    %onerror%
    %include error.html%
    %endinvoke%
  </body>
</html>