<?xml version='1.0'?>
<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN'
                      '/local/share/xml/XHTML/dtds/xhtml1-transitional.dtd'>
<html>
  <head>
    <title>SAP Gateway - SAP Servers</title>
    <meta http-equiv="Pragma" content="no-cache"></meta>
    <meta http-equiv="Expires" content="-1"></meta>
    <link rel="stylesheet" type="text/css" href="/WmRoot/webMethods.css"></link>
    <script type="text/javascript" src="/WmRoot/webMethods.js.txt"></script>
  </head>
  <body onload="setNavigation('/SAP/sapServers_listServers.dsp', '/SAP/doc/OnlineHelp/TAB_SAP_FunctionMaps.html', 'bla');">
    <!-- %switch action%
           %case 'Save'%
             %invoke sap.admin.map:saveSettings%
             %endinvoke%
           %case 'Add'%
             %invoke sap.admin.map:add%
             %endinvoke%
           %case 'delete'%
             %invoke sap.admin.map:remove%
             %endinvoke%
         %endswitch%  -->
    %invoke sap.admin.map:list%
    <table width="100%">
      <tr>
	<td class="menusection-Adapters" colspan="2">SAP &gt; SAP
	  Servers &gt; RFC Function Maps for %value serverName%</td>
      </tr>
      <tr>
	<td colspan="2">
	  <ul>
	    <li><a href="sapServers_listServers.dsp">Return to SAP Servers</a></li>
	    <li><a href="sapServers_findMaps.dsp?serverName=%value -urlencode serverName%">Find Maps for %value serverName%</a></li>
	  </ul>
	</td>
      </tr>
      <tr>
	<td class="padding">&nbsp;</td>
	<td>
	  <table class="tableView" width="100%">
	    <thead>
	      <tr>
		<td class="heading" colspan="5">Function Map List</td>
	      </tr>
	      <tr>
		<td class="oddcol" width="40%">Function Module</td>
		<td class="oddcol" width="100px">Type</td>
		<td class="oddcol">Folder</td>
		<td class="oddcol">Service</td>
		<td class="oddcol">Delete</td>
	      </tr>
	    </thead>
	    <tbody id="tbodyNode">
	      <!-- %loop inboundMaps% -->
	      <tr>
		<td class="evenrowdata-l">
		  <a href="sapServers_editServiceMap.dsp?serverName=%value -urlencode ../serverName%&amp;functionName=%value -urlencode functionName%&amp;type=inbound">%value functionName%</a>
		</td>
		<td class="evenrowdata">
		  <img alt="left" src="/SAP/icons/left.gif"></img>
		</td>
		<td class="evenrowdata">%value folder%</td>
		<td class="evenrowdata">%value service%</td>
		<td class="evenrowdata">
		  <a href="sapServers_listServiceMaps.dsp?serverName=%value -urlencode ../serverName%&amp;functionName=%value -urlencode functionName%&amp;type=inbound&amp;action=delete"><img alt="delete" src="/WmRoot/icons/delete.gif" border="0"></img></a>
		</td>
	      </tr>
	      <!-- %endloop% -->
	    </tbody>
	    <tbody id="tbodyNode">
	      <!-- %loop outboundMaps% -->
	      <tr>
		<td class="evenrowdata-l">
		  <a href="sapServers_editServiceMap.dsp?serverName=%value -urlencode ../serverName%&amp;functionName=%value -urlencode functionName%&amp;type=outbound">%value functionName%</a>
		</td>
		<td class="evenrowdata">
		  <img alt="right" src="/SAP/icons/right.gif"></img>
		</td>
		<td class="evenrowdata">%value folder%</td>
		<td class="evenrowdata">%value service%</td>
		<td class="evenrowdata">
		  <a href="sapServers_listServiceMaps.dsp?serverName=%value -urlencode ../serverName%&amp;functionName=%value -urlencode functionName%&amp;type=outbound&amp;action=delete"><img alt="delete" src="/WmRoot/icons/delete.gif" border="0"></img></a>
		</td>
	      </tr>
	      <!-- %endloop% -->
	    </tbody>
	  </table>
	  <script>swapColor('tbodyNode', false);</script>
	  <form action="sapServers_editServiceMap.dsp" method="post">
	    <table class="tableForm" width="100%">
	      <tr>
		<td class="heading" colspan="3">Add Map</td>
	      </tr>
	      <tr>
		<td class="oddcol" rowspan="2"><input name="functionName" value="" size="50%"></input></td>
		<td class="oddcol"><input type="radio" name="type" value="inbound" checked="checked"></input></td>
		<td class="oddcol"><img alt="left" src="/SAP/icons/left.gif"></img></td>
	      </tr>
	      <tr>
		<td class="oddcol"><input type="radio" name="type" value="outbound"></input></td>
		<td class="oddcol"><img alt="right" src="/SAP/icons/right.gif"></img></td>
	      </tr>
	      <tr>
		<td class="action" colspan="3">
		  <input type="hidden" name="serverName" value="%value serverName%"></input>
		  <input type="submit" value="Add Map"></input>
		</td>
	      </tr>
	    </table>
	  </form>
	</td>
      </tr>
    </table>
    %onerror%
    %include error.html%
    %endinvoke%
  </body>
</html>