<?xml version='1.0'?>
<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN'
                      '/local/share/xml/XHTML/dtds/xhtml1-transitional.dtd'>
<html>
  <head>
    <title>SAP Gateway - SAP Servers</title>
    <meta http-equiv="Pragma" content="no-cache"></meta>
    <meta http-equiv="Expires" content="-1"></meta>
    <link rel="stylesheet" type="text/css" href="/WmRoot/webMethods.css"></link>
    <script type="text/javascript" src="/WmRoot/webMethods.js.txt"></script>
  </head>
  <body onload="setNavigation('/SAP/sapServers_pools.dsp', '/SAP/doc/OnlineHelp/TAB_SAP_Pools.html', 'bla');">
    %invoke sap.admin.server:pools%
    
    <table width="100%">
      <tr>
	<td class="menusection-Adapters" colspan="2">SAP &gt; SAP
	  Servers &gt; Pools for %value serverName%</td>
      </tr>
      <tr>
	<td colspan="2">
	  <ul>
	    <li><a href="sapServers_listServers.dsp">Return to SAP Servers</a></li>
	  </ul>
	</td>
      </tr>
      <tr>
	<td class="padding">&nbsp;</td>
	<td>
	  <table class="tableView" width="95%">
	    <thead>
	      <tr>
		<td class="heading" colspan="5">Pools</td>
	      </tr>
	      <tr>
		<td class="oddcol">Name</td>
		<td class="oddcol">Current Size</td>
		<td class="oddcol">Peak Size</td>
		<td class="oddcol">Max Size</td>
		<td class="oddcol">Current Used</td>
	      </tr>
	    </thead>
	    <tbody id="tbodyNode">
	      <!-- %loop pools% -->
	      <tr>
		<td class="evenrowdata-l">%value poolName%</td>
		<td class="evenrowdata">%value currentSize%</td>
		<td class="evenrowdata">%value peakSize%</td>
		<td class="evenrowdata">%value maxSize%</td>
		<td class="evenrowdata">%value currentUsed%</td>
	      </tr>
	      <!-- %endloop% -->
	    </tbody>
  	  </table>
	  <script>swapColor('tbodyNode', false);</script>
	</td>
      </tr>
    </table>
    %onerror% %include error.html%
    %endinvoke%
  </body>
</html>