<?xml version='1.0'?>
<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN'
                      '/local/share/xml/XHTML/dtds/xhtml1-transitional.dtd'>
<html>
  <head>
    <title>SAP Gateway - SAP Servers</title>
    <meta http-equiv="Pragma" content="no-cache"></meta>
    <meta http-equiv="Expires" content="-1"></meta>
    <link rel="stylesheet" type="text/css" href="/WmRoot/webMethods.css"></link>
    <script type="text/javascript" src="/WmRoot/webMethods.js.txt"></script>
  </head>
  <body onload="setNavigation('/SAP/sapServers_listServers.dsp', '/SAP/doc/OnlineHelp/TAB_SAP_SystemInfo.html', 'bla');">
    <!-- 
    Password was changed if mode==changed
    -->
    %ifvar mode equals('Change')%
      %rename oldName serverName -copy%
      %invoke sap.admin.server:changePassword%
        %onerror%
        %include error.html%
      %endinvoke%
    %endif%

    <!-- 
    If DSP was requested from the save button 
    then invoke the saveServerSettings service.
    oldName or serverName variable is in pipeline.
    In case the server name was changed
    copy the value to the oldName variable
    to keep them in synch.
    -->
    %ifvar mode equals('Save')%
      %invoke sap.admin.server:saveSettings%
	    %rename serverName oldName -copy%
	    %invoke sap.admin.server:settings%
          %include serverSettings.html%
	    %endinvoke%
      %onerror%
        %include error.html%
      %endinvoke%
    %else%
      %invoke sap.admin.server:settings%
        %include serverSettings.html%
      %onerror%
        %include error.html%
      %endinvoke%
    %endif%
  </body>
</html>