<?xml version='1.0'?>
<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN'
                      '/local/share/xml/XHTML/dtds/xhtml1-transitional.dtd'>
<html>
  <head>
    <title>SAP Gateway - SAP Servers</title>
    <meta http-equiv="Pragma" content="no-cache"></meta>
    <meta http-equiv="Expires" content="-1"></meta>
    <link rel="stylesheet" type="text/css" href="/WmRoot/webMethods.css"></link>
    <script type="text/javascript" src="/WmRoot/webMethods.js.txt"></script>
  </head>
  <body onload="setNavigation('/SAP/sapServers_listServers.dsp', '/SAP/doc/OnlineHelp/TAB_SAP_SystemInfo.html', 'bla');">
    %invoke sap.admin.server:settings%
    <table width="100%">
      <tr>
	<td class="menusection-Adapters" colspan="2">SAP &gt; SAP
	  Servers &gt; %ifvar -notempty /oldName%%value /oldName%
	  Settings &gt; Edit%else%Add SAP Server%endif%</td>
      </tr>
      <tr>
	<td colspan="2">
	  <ul>
	    <li><a href="sapServers_listServers.dsp">Return to SAP
		Servers</a></li>
	  </ul>
	</td>
      </tr>
      <tr>
	<td class="padding">&nbsp;</td>
	<td>
	  <form method="post" name="editServerForm" action="sapServers_serverSettings.dsp">
	    <table class="tableForm">
	      <tr>
		<td class="heading" colspan="4">System</td>
	      </tr>
	      <tr>
		<td class="oddrow">Name</td>
		<td class="oddrow-l">
		  <input name="serverName" value="%value serverName%"
			 onblur="if(this.value.indexOf(' ')!=-1) { alert('Spaces are not permitted in server aliases.'); this.value=''; return false; } else { return true; }"></input>
		    <input type="hidden" name="oldName" value="%value /oldName%"></input>
		</td>
		<td class="oddrow">SAP Router String</td>
		<td class="oddrow-l">
		  <input name="routerString" value="%value routerString%"></input>
		</td>
	      </tr>
	      <tr><td class="space" colspan="4">&nbsp;</td></tr>
	      <tr>
		<td class="heading" colspan="4">Login Defaults</td>
	      </tr>
	      <tr>
		<td class="oddrow">User</td>
		<td class="oddrow-l">
		  <input name="user" maxlength="30" value="%value user%"></input>
		</td>
		<td class="oddrow">Password</td>
		<td class="oddrow-l">%ifvar -notempty oldName%********%else%
		  <input type="password" name="password" maxlength="8" value="" size="8"></input>%endif%
		</td>
	      </tr>
	      <tr>
		<td class="evenrow">Client</td>
		<td class="evenrow-l">
		  <input name="client" maxlength="3" value="%value client%" size="3"></input>
		</td>
		<td class="evenrow">Language</td>
		<td class="evenrow-l">
		  <input name="language" maxlength="2" value="%value language%" size="2"></input>
		</td>
	      </tr>
	      <tr><td class="space" colspan="4">&nbsp;</td></tr>
	      <tr>
		<td class="heading" colspan="4">Server Logon</td>
	      </tr>
	    <tr>
		<td class="oddrow">Application Server</td>
		<td class="oddrow-l">
		  <input name="appServerHost" value="%value appServerHost%"></input>
		</td>
		<td class="oddrow">System Number</td>
		<td class="oddrow-l">
		  <input name="systemNumber" maxlength="2" value="%value systemNumber%" size="2"></input>
		</td>
	      </tr>
	      <tr><td class="space" colspan="4">&nbsp;</td></tr>
	      <tr>
		<td class="heading" colspan="4">Load Balancing</td>
	      </tr>
	      <tr>
		<td class="oddrow">Load Balancing</td>
		<td class="oddrow-l">
		  <select name="loadBalancing">
		    <!-- %ifvar loadBalancing equals('false')% -->
		    <option selected="selected" value="false">Off</option>
		    <!-- %else% -->
		    <option value="false">Off</option>
		    <!-- %endif% -->
		    <!-- %ifvar loadBalancing equals('true')% -->
		    <option selected="selected" value="true">On</option>
		    <!-- %else% -->
		    <option value="true">On</option>
		    <!-- %endif% -->
		  </select>
		</td>
		<td class="oddrow">Group Name</td>
		<td class="oddrow-l">
		  <input name="logonGroup" value="%value logonGroup%"></input>
		</td>
	      </tr>
	      <tr>
		<td class="evenrow">Message Server</td>
		<td class="evenrow-l">
		  <input name="messageServerHost" value="%value messageServerHost%"></input>
		  </td>
		<td class="evenrow">System ID</td>
		<td class="evenrow-l">
		  <input name="systemID" value="%value systemID%"></input>
		</td>
	      </tr>
	      <tr><td class="space" colspan="4">&nbsp;</td></tr>
	      <tr>
		<td class="heading" colspan="4">External Rfc Server</td>
	      </tr>
	      <tr>
		<td class="oddrow">Rfc Server</td>
		<td class="oddrow-l">
		  <select name="connectionType">
		    <!-- %ifvar connectionType equals('3')% -->
		    <option selected="selected" value="3">No</option>
		    <!-- %else% -->
		    <option value="3">No</option>
		    <!-- %endif% -->
		    <!-- %ifvar connectionType equals('E')% -->
		    <option selected="selected" value="E">Yes</option>
		    <!-- %else% -->
		    <option value="E">Yes</option>
		    <!-- %endif% -->
		  </select>
		</td>
		<td class="oddrow">Program ID</td>
		<td class="oddrow-l">
		  <input name="programID" value="%value programID%"></input>
		</td>
	      </tr>
	      <tr>
		<td class="evenrow">Gateway Host</td>
		<td class="evenrow-l">
		  <input name="gatewayHost" value="%value gatewayHost%"></input>
		</td>
		<td class="evenrow">Gateway Service</td>
		<td class="evenrow-l">
		  <input name="gatewayService" value="%value gatewayService%"></input>
		</td>
	      </tr>
	      <tr>
		<td class="oddrow">Repository Server</td>
		<td class="oddrow-l">
		  <!-- %invoke sap.admin.server:list% -->
		  <!-- %ifvar servers% -->
		  <select name="repository">
		    <!-- %loop servers% -->
		    <!-- %ifvar serverName vequals(../../repository)% -->
		    <option selected="selected" value="%value serverName%">%value serverName%</option>
		    <!-- %else% -->
		    <option value="%value serverName%">%value serverName%</option>
		    <!-- %endif% -->
		    <!-- %endloop% -->
		  </select>
		  <!-- %else% -->
		  No SAP Servers Defined
		  <!-- %endif% -->
		  <!-- %onerror% -->
		  <input name="repository" value="%value repository%"></input>
		  <!-- %endinvoke% -->
		  </select>
		</td>
		<td class="oddrow">&nbsp;</td>
		<td class="oddrow-l">&nbsp;</td>
	      </tr>
	      <tr><td class="space" colspan="4">&nbsp;</td></tr>
	      <tr>
		<td class="heading" colspan="4">Advanced Settings</td>
	      </tr>
	      <tr>
		<td class="oddrow">ABAP Debug</td>
		<td class="oddrow-l">
		  <select name="abapDebug">
		    <!-- %ifvar abapDebug equals('false')% -->
		    <option selected="selected" value="false">Off</option>
		    <!-- %else% -->
		    <option value="false">Off</option>
		    <!-- %endif% -->
		    <!-- %ifvar abapDebug equals('true')% -->
		    <option selected="selected" value="true">On</option>
		    <!-- %else% -->
		    <option value="true">On</option>
		    <!-- %endif% -->
		  </select>
		</td>
		<td class="oddrow">Use SAPGUI</td>
		<td class="oddrow-l">
		  <select name="sapGui">
		    <!-- %ifvar sapGui equals('0')% -->
		    <option selected="selected" value="0">Off</option>
		    <!-- %else% -->
		    <option value="0">Off</option>
		    <!-- %endif% -->
		    <!-- %ifvar sapGui equals('1')% -->
		    <option selected="selected" value="1">On</option>
		    <!-- %else% -->
		    <option value="1">On</option>
		    <!-- %endif% -->
		    <!-- %ifvar sapGui equals('2')% -->
		    <option selected="selected" value="2">Hidden</option>
		    <!-- %else% -->
		    <option value="2">Hidden</option>
		    <!-- %endif% -->
		  </select>
		</td>
	      </tr>
	      <tr>
		<td class="evenrow">RFC Trace</td>
		<td class="evenrow-l">
		  <select name="trace"> 
		    <!-- %ifvar trace equals('false')% -->
		    <option selected="selected" value="false">Off</option>
		    <!-- %else% -->
		    <option value="false">Off</option>
		    <!-- %endif% -->
		    <!-- %ifvar trace equals('true')% -->
		    <option selected="selected" value="true">On</option>
		    <!-- %else% -->
		    <option value="true">On</option>
		    <!-- %endif% -->
		  </select>
		</td>
		<td class="evenrow">&nbsp;</td>
		<td class="evenrow-l">&nbsp;</td>
	      </tr>
	      <tr><td class="space" colspan="4">&nbsp;</td></tr>
	      <tr>
		<td class="heading" colspan="4">Security options</td>
	      </tr>
	      <tr>
		<td class="oddrow">SNC enabled</td>
		<td class="oddrow-l" colspan="3">
		  <select name="sncMode">
		    <!-- %ifvar sncMode equals('false')% -->
		    <option selected="selected" value="false">No</option>
		    <!-- %else% -->
		    <option value="false">No</option>
		    <!-- %endif% -->
		    <!-- %ifvar sncMode equals('true')% -->
		    <option selected="selected" value="true">Yes</option>
		    <!-- %else% -->
		    <option value="true">Yes</option>
		    <!-- %endif% -->
		  </select>
		</td>
	      </tr>
	      <tr>
		<td class="evenrow">SNC Name</td>
		<td class="evenrow-l">
		  <input name="sncMyName" value="%value sncMyName%"></input>
		</td>
		<td class="evenrow">SNC Partnername</td>
		<td class="evenrow-l">
		  <input name="sncPartnerName" value="%value sncPartnerName%"></input>
		</td>
	      </tr>
	      <tr>
		<td class="oddrow">Quality of Service</td>
		<td colspan="3" class="oddrow-l">
		  <select name="sncQualityOfService">
		    <!-- %ifvar sncQualityOfService equals('1')% -->
		    <option selected="selected" value="1">Plain
		      text, but authorization</option>
		    <!-- %else% -->
		    <option value="1">Plain
		      text, but authorization</option>
		    <!-- %endif% -->
		    <!-- %ifvar sncQualityOfService equals('2')% -->
		    <option selected="selected" value="2">Each
		      data packet will be integrity protected</option>
		    <!-- %else% -->
		    <option value="2">Each
		      data packet will be integrity protected</option>
		    <!-- %endif% -->
		    <!-- %ifvar sncQualityOfService equals('3')% -->
		    <option selected="selected" value="3">Each
		      data packet will be privacy protected</option>
		    <!-- %else% -->
		    <option value="3">Each
		      data packet will be privacy protected</option>
		    <!-- %endif% -->
		    <!-- %ifvar sncQualityOfService equals('8')% -->
		    <option selected="selected" value="8">Use
		      global build-in default settings</option>
		    <!-- %else% -->
		    <option value="8">Use
		      global build-in default settings</option>
		    <!-- %endif% -->
		    <!-- %ifvar sncQualityOfService equals('9')% -->
		    <option  selected="selected" value="9">Use
		      maximal available security</option>
		    <!-- %else% -->
		    <option value="9">Use
		      maximal available security</option>
		    <!-- %endif% -->
		  </select>
		</td>
	      </tr>
	      <tr><td class="space" colspan="4">&nbsp;</td></tr>
	      <tr>
		<td class="action" colspan="4">
		  <input type="submit" name="mode" value="Save"></input>
		  <input onclick="this.form.action='sapServers_listServers.dsp'; return true;"
			 type="submit" value="Cancel"></input>
		</td>
	      </tr>
	    </table>
	  </form>
	</td>
      </tr>
    </table>
    %onerror%
    %include error.html%
    %endinvoke%
 </body>
</html>