#!/bin/sh

#
#   parameters for EXTInstallSAP
#
#                DRIVER    - driver name (same as given in mxserver.properties)
#                URL       - url (same as given in mxserver.properties)
#                LOGIN     - login user (e.g.maximo)
#                PASSWORD  - login password (e.g.maximo)
#
#

JRE=./jre/bin/java
JRE_CLASSPATH=.:./lib/tools.jar:./jre/lib/rt.jar:./lib/oraclethin.zip:./lib/mail.jar:./lib/activation.jar
INTERVAL="-Dsun.rmi.dgc.client.gcInterval=120000 -Dsun.rmi.dgc.server.gcInterval=120000"
APP=psdi.iface.install.EXTInstallSAP
DRIVER=oracle.jdbc.driver.OracleDriver

#
# MODIFY THESE LINES HERE FOR YOU DATABASE
#
URL=jdbc:oracle:thin:@your_server_name:your_port_number:your_database_name
LOGIN=your_db_schema_owner
PASSWORD=your_db_schema_owner's_password

$JRE -server $INTERVAL -cp $JRE_CLASSPATH $APP  -driver $DRIVER -DBCONNURL $URL -login $LOGIN -password $PASSWORD
exit 0
# If we get to here, then there is a problem..
echo "Unknown Command: $CMD"
exit 10 
