<?xml version='1.0'?>
<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN'
                      '/local/share/xml/XHTML/dtds/xhtml1-transitional.dtd'>
<html>
  <head>
    <title>SAP Gateway - Settings</title>
    <meta http-equiv="Pragma" content="no-cache"></meta>
    <meta http-equiv="Expires" content="-1"></meta>
    <link rel="stylesheet" type="text/css" href="/WmRoot/webMethods.css"></link>
    <script type="text/javascript" src="/WmRoot/webMethods.js.txt"></script>
  </head>
  <body onload="setNavigation('/SAP/generalSettings.dsp', '/SAP/doc/OnlineHelp/FRM_TAB_SAP_Settings.html', 'bla');">
    <!--
    If DSP was requested from the Save button 
    then invoke the setProperties service.

    %ifvar action equals('Save')%
      %invoke sap.admin.config:setProperties%
      %endinvoke%
    %endifvar%
    -->
    %invoke sap.admin.config:getProperties%
    <table width="100%">
      <!-- %ifvar action equals('Edit')% -->
      <tr>
	<td class="menusection-Adapters" colspan="2">SAP &gt; Settings
	&gt; Edit</td>
      </tr>
      <tr>
	<td colspan="2">
	  <ul>
	    <li><a href="generalSettings.dsp">Return to Settings</a></li>
	  </ul>
	</td>
      </tr>
      <tr>
	<td class="padding">&nbsp;</td>
	<td>
	  <form action="generalSettings.dsp" method="post">
	    <table class="tableForm">
	      <tr>
		<td class="heading" colspan="2">SAP connection</td>
	      </tr>
	      <tr>
		<td class="oddrow-l">Timeout (minutes)</td>
		<td class="oddrow-l"><input name="timeout" value="%value timeout%"></input></td>
	      </tr>
	      <tr>
		<td class="evenrow-l">Timeout check period (seconds)</td>
		<td class="evenrow-l"><input name="timeoutCheckPeriod" value="%value timeoutCheckPeriod%"></input></td>
	      </tr>
	      <tr>
		<td class="oddrow-l">Sessionpool size</td>
		<td class="oddrow-l"><input name="poolSize" value="%value poolSize%"></input></td>
	    </tr>
	      <tr>
		<td class="evenrow-l">Poolqueue waiting time (seconds)</td>
		<td class="evenrow-l"><input name="waitForPool" value="%value waitForPool%"></input></td>
	      </tr>
	      <tr>
		<td colspan="2">&nbsp;</td>
	      </tr>
	      <tr>
		<td class="heading" colspan="2">SAP Listeners</td>
	      </tr>
	      <tr>
		<td class="oddrow-l">Check time (minutes)</td>
		<td class="oddrow-l"><input name="checkTime" value="%value checkTime%"></input></td>
	      </tr>
	      <tr>
		<td class="evenrow-l">Response time (seconds)</td>
		<td class="evenrow-l"><input name="responseTime" value="%value responseTime%"></input></td>
	      </tr>
	      <tr>
		<td colspan="2">&nbsp;</td>
	      </tr>
	      <tr>
		<td class="heading" colspan="2">Misc</td>
	      </tr>
	      <tr>
		<td class="oddrow-l">Default XRFC version</td>
		<td class="oddrow-l">
		  %ifvar xrfcVersion equals('1.0')%
		  <input type="radio" name="xrfcVersion" value="1.0" checked="checked"></input>1.0&nbsp;
		  %else%
		  <input type="radio" name="xrfcVersion" value="1.0"></input>1.0&nbsp;
		  %endif%
		  %ifvar xrfcVersion equals('1.0')%
		  <input type="radio" name="xrfcVersion" value="0.9"></input>0.9
		  %else%
		  <input type="radio" name="xrfcVersion" value="0.9" checked="checked"></input>0.9
		  %endif%
		</td>
	      </tr>
	      <tr>
		<td class="evenrow-l">SNC library path</td>
		<td class="evenrow-l"><input name="sncLibPath" value="%value sncLibPath%" size="50"></input></td>
	      </tr>
	      <tr>
		<td class="oddrow-l">Log Throughput data</td>
		<td class="oddrow-l">
		  %ifvar throughput equals('true')%
		  <input type="radio" name="throughput" value="true" checked="checked"></input>On&nbsp;
		  %else%
		  <input type="radio" name="throughput" value="true"></input>On&nbsp;
		  %endif%
		  %ifvar throughput equals('false')%
		  <input type="radio" name="throughput" value="false" checked="checked"></input>Off
		  %else%
		  <input type="radio" name="throughput" value="false"></input>Off
		  %endif%
		</td>
	      </tr>
	      <tr>
	    <td class="evenrow-l">Use jARM</td>
		<td class="evenrow-l">
		  %ifvar jarm equals('true')%
		  <input type="radio" name="jarm" value="true" checked="checked"></input>On&nbsp;
		  %else%
		  <input type="radio" name="jarm" value="true"></input>On&nbsp;
		  %endif%
		  %ifvar jarm equals('false')%
		  <input type="radio" name="jarm" value="false" checked="checked"></input>Off
		  %else%
		  <input type="radio" name="jarm" value="false"></input>Off
		  %endif%
		</td>
	      </tr>
	      <tr>
		<td class="action" colspan="2">
		  <input type="submit" name="action" value="Save"></input>
		  <input type="submit" name="action" value="Cancel"></input>
		</td>
	      </tr>
	    </table>
	  </form>
	</td>
      </tr>
      <!-- %else% -->
      <tr>
	<td class="menusection-Adapters" colspan="2">SAP &gt; Settings</td>
      </tr>
      <tr>
	<td colspan="2">
	  <ul>
	    <li><a href="generalSettings.dsp?action=Edit">Change Settings</a></li>
	  </ul>
	</td>
      </tr>
      <tr>
	<td class="padding">&nbsp;</td>
	<td>
	  <table class="tableView">
	    <tr>
	      <td class="heading" colspan="2">SAP connection</td>
	    </tr>
	    <tr>
	      <td class="oddrow-l">Timeout (minutes)</td>
	      <td class="oddrowdata">%value timeout%</td>
	    </tr>
	    <tr>
	      <td class="evenrow-l">Timeout check period (seconds)</td>
	      <td class="evenrowdata">%value timeoutCheckPeriod%</td>
	    </tr>
	    <tr>
	      <td class="oddrow-l">Sessionpool size</td>
	      <td class="oddrowdata">%value poolSize%</td>
	    </tr>
	    <tr>
	      <td class="evenrow-l">Poolqueue waiting time (seconds)</td>
	      <td class="evenrowdata">%value waitForPool%</td>
	    </tr>
	    <tr><td colspan="2" class="space">&nbsp;</td></tr>
	    <tr>
	      <td class="heading" colspan="2">SAP Listeners</td>
	    </tr>
	    <tr>
	      <td class="oddrow-l">Check time (minutes)</td>
	      <td class="oddrowdata">%value checkTime%</td>
	    </tr>
	    <tr>
	      <td class="evenrow-l">Response time (seconds)</td>
	      <td class="evenrowdata">%value responseTime%</td>
	    </tr>
	    <tr><td colspan="2" class="space">&nbsp;</td></tr>
	    <tr>
	      <td class="heading" colspan="2">Misc</td>
	    </tr>
	    <tr>
	      <td class="oddrow-l">Default XRFC version</td>
	      <td class="oddrowdata">%value xrfcVersion%</td>
	    </tr>
	    <tr>
	      <td class="evenrow-l">SNC library path</td>
	      <td class="evenrowdata">%value sncLibPath%</td>
	    </tr>
	    <tr>
	      <td class="oddrow-l">Log Throughput data</td>
	      <td class="oddrowdata">%ifvar throughput equals('true')%On%else%Off%endif%</td>
	    </tr>
	    <tr>
	      <td class="evenrow-l">Use jARM</td>
	      <td class="evenrowdata">%ifvar jarm equals('true')%On%else%Off%endif%</td>
	    </tr>
	  </table>
	</td>
      </tr>
      <!-- %endif% -->
    </table>
    %onerror%
    %include error.html%
    %endinvoke%
  </body>
</html>