<?xml version='1.0'?>
<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN'
                      '/local/share/xml/XHTML/dtds/xhtml1-transitional.dtd'>
<html>
  <head>
    <title>SAP Gateway - SAP Servers</title>
    <meta http-equiv="Pragma" content="no-cache"></meta>
    <meta http-equiv="Expires" content="-1"></meta>
    <link rel="stylesheet" type="text/css" href="/WmRoot/webMethods.css"></link>
    <script type="text/javascript" src="/WmRoot/webMethods.js.txt"></script>
  </head>
  <body onload="setNavigation('/SAP/sapAbout_aboutPage.dsp', '/SAP/doc/OnlineHelp/Copyright_Notice.htm', 'bla');">
    %invoke sap.admin:about%
    <table width="100%">
      <tr>
	<td class="menusection-Adapters" colspan="2">SAP &gt; About</td>
      </tr>
      <tr>
	<td class="padding">&nbsp;</td>
	<td>
	  <table class="tableView">
	    <tr><td colspan="2" class="space">&nbsp;</td></tr>
	    <tr>
	      <td class="heading" colspan="2">SAP Adapter</td>
	    </tr>
	    <tr>
	      <td class="oddrow" colspan="2"
		  style="text-align: center; background-color: #ffffff;
		  padding-top: 4px;">
		    <img alt="SAP AG" src="/SAP/images/saplogo.gif" border="0"></img>
		    <img alt="webMethods Inc." src="/WmRoot/images/wmlogo.gif" border="0"></img>
	      </td>
	    </tr>
	    <tr><td colspan="2" class="space">&nbsp;</td></tr>
	    <tr>
	      <td class="heading" colspan="2">Version</td>
	    </tr>
	    <tr>
	      <td class="oddrow">Product</td>
	      <td class="oddrowdata-l">webMethods B2B SAP Adapter</td>
	    </tr>
	    <tr>
	      <td class="evenrow">Version</td>
	      <td class="evenrowdata-l">%value version%
		&nbsp;&nbsp;&nbsp;&nbsp;<a target="_blank" href="/SAP/ReleaseNotes.html">Release Notes</a>
	      </td>
	    </tr>
	    <tr>
	      <td class="oddrow">Build Number</td>
	      <td class="oddrowdata-l">%value build%</td>
	    </tr>
	    <tr><td colspan="2" class="space">&nbsp;</td></tr>
	    <tr>
	      <td class="heading" colspan="2">Environment</td>
	    </tr>
	    <!-- %scope systemAttributes% -->
	    <tr>
	      <td class="oddrow">JayCo Version</td>
	      <td class="oddrowdata-l">%value jcoVersion%</td>
	    </tr>
	    <tr>
	      <td class="evenrow">JayCo Middleware</td>
	      <td class="evenrowdata-l">%value jcoMiddleware%</td>
	    </tr>
	    <tr>
	      <td class="oddrow">JayCo Middleware Version</td>
	      <td class="oddrowdata-l">%value jcoMiddlewareVersion%</td>
	    </tr>
	    <tr>
	      <td class="evenrow">jRFC Library Version</td>
	      <td class="evenrowdata-l">%value jrfcLibraryVersion%</td>
	    </tr>
	    <tr>
	      <td class="oddrow">jRFC Library Location</td>
	      <td class="oddrowdata-l">%value jrfcLibraryLocation%</td>
	    </tr>
	    <tr>
	      <td class="evenrow">RFC Library Version</td>
	      <td class="evenrowdata-l">%value rfcLibraryVersion%</td>
	    </tr>
	    <tr>
	      <td class="oddrow">OS Version</td>
	      <td class="oddrowdata-l">%value osVersion%</td>
	    </tr>
	    <tr>
	      <td class="evenrow">Current User</td>
	      <td class="evenrowdata-l">%value currentUser%</td>
	    </tr>
	    <tr>
	      <td class="oddrow">Working Directory</td>
	      <td class="oddrowdata-l">%value workingDirectory%</td>
	    </tr>
	    <!-- %endscope% -->
	  </table>
	</td>
      </tr>
    </table>
    %onerror% %include error.html%
    %endinvoke%
  </body>
</html>
