<?xml version='1.0'?>
<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN'
                      '/local/share/xml/XHTML/dtds/xhtml1-transitional.dtd'>
<html>
  <head>
    <title>SAP Gateway - Lookup</title>
    <meta http-equiv="Pragma" content="no-cache"></meta>
    <meta http-equiv="Expires" content="-1"></meta>
    <link rel="stylesheet" type="text/css" href="/WmRoot/webMethods.css"></link>
  </head>
  <body>
    %invoke sap.admin.bor:getParameterDefinition%
    <table width="100%">
      <tr>
	<td class="menusection-Adapters" colspan="2">SAP &gt; Lookup
	  &gt; Parameter
	</td>
      </tr>
      <tr>
	<td colspan="2">
	  <ul>
	    <li><a href="/SAP/sapRFCLookup_searchPage.dsp">Return to Lookup</a></li>
	    <li><a href="/SAP/sapBOR_BusinessObject.dsp?serverName=%value -urlencode serverName%&amp;objectName=%value -urlencode objectName%">Return to Business Object %value objectName%</a></li>
	    <li><a href="/SAP/sapBOR_BAPI.dsp?serverName=%value -urlencode serverName%&amp;objectName=%value -urlencode objectName%&amp;bapiName=%value -urlencode bapiName%">Return to BAPI %value objectName%.%value bapiName%</a></li>
	  </ul>
	</td>
      </tr>
      <tr>
	<td class="padding">&nbsp;</td>
	<td>
	  <table class="tableView">
	    <tr>
	      <td class="heading" colspan="2">Parameter %value parameterName%</td>
	    </tr>
	    <tr>
	      <td class="rowlabel">Internal Name</td>
	      <td class="oddrowdata-l">%value internalName%</td>
	    </tr>
	    <tr>
	      <td class="rowlabel">Direction</td>
	      <td class="evenrowdata-l">%value direction%</td>
	    </tr>
	    <tr>
	      <td class="rowlabel">Optional</td>
	      <td class="oddrowdata-l">%value isOptional%</td>
	    </tr>
	    <tr>
	      <td class="rowlabel">Table</td>
	      <td class="evenrowdata-l">%value isTable%</td>
	    </tr>
	    <tr>
	      <td class="rowlabel"> ABAP Dictionary Type</td>
	      <td class="oddrowdata-l">
		<!-- %ifvar ddicStructure% -->
		<a href="/SAP/sapRFCLookup_StructureDefinition.dsp?structName=%value -urlencode ddicStructure%&amp;serverName=%value -urlencode serverName%&amp;parameterName=%value -urlencode parameterName%&amp;objectName=%value -urlencode objectName%&amp;bapiName=%value -urlencode bapiName%">%value ddicReference%</a>
		<!-- %else% -->
   		%value ddicReference%
		<!-- %endif% -->
	      </td>
	    </tr>
	  </table>
	</td>
      </tr>
    </table>
    %onerror% %include error.html%
    %endinvoke%
  </body>
</html>