<?xml version='1.0'?>
<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN'
                      '/local/share/xml/XHTML/dtds/xhtml1-transitional.dtd'>
<html>
  <head>
    <title>SAP Adapter - Monitoring</title>
    <link rel="stylesheet" type="text/css" href="/WmRoot/webMethods.css"></link>
    <script type="text/javascript" src="/WmRoot/webMethods.js.txt"></script>
    <meta http-equiv="Pragma" content="no-cache"></meta>
    <meta http-equiv="Expires" content="-1"></meta>
  </head>
  <body onload="setNavigation('/SAP/getList.dsp', '/SAP/doc/OnlineHelp/TAB_SAP_jarmComponents.html', 'bla');">
    %invoke sap.monitor.jarm:getComponentOverview%
    <table width="100%">
      <tr>
	<td class="menusection-Adapters" colspan="2">SAP &gt; Monitoring  &gt; jARM Component Overview</td>
      </tr>
      <tr>
	<td colspan="2">
	  <ul>
	    <li><a href="/SAP/getList.dsp">Return to Monitoring</a></li>
	  </ul>
	</td>
      </tr>
      <tr>
	<td class="padding">&nbsp;</td>
	<td>
	  <table class="tableView">
	    <thead>
	      <tr>
		<td class="heading" colspan="7">jARM Component Overview</td>
	      </tr>
	      <tr>
		<td class="oddcol">Component name</td>
		<td class="oddcol">Gross time</td>
		<td class="oddcol">Average</td>
		<td class="oddcol">Net Time</td>
		<td class="oddcol">Average</td>
		<td class="oddcol">Calls</td>
		<td class="oddcol">Calls ok</td>
	      </tr>
	    </thead>
	    <tbody id="tbodyNode">
	      <!-- %loop components% -->
	      <tr>
		<td class="evenrowdata-l">%value componentName%</td>
		<td class="evenrowdata-r">%value grossTime%</td>
		<td class="evenrowdata-r">%value averageGrossTime%</td>
		<td class="evenrowdata-r">%value netTime%</td>
		<td class="evenrowdata-r">%value averageNetTime%</td>
		<td class="evenrowdata-r">%value componentCalls%</td>
		<td class="evenrowdata">%value grossTimeOk%/%value netTimeOk%</td>
	      </tr>
	      <!-- %endloop% -->
	    </tbody>
	  </table>
	  <script type="text/javascript">swapColor('tbodyNode', false);</script>
	</td>
      </tr>
    </table>
    %onerror% %include error.html%
    %endinvoke%
  </body>
</html>