<?xml version='1.0'?>
<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN'
                      '/local/share/xml/XHTML/dtds/xhtml1-transitional.dtd'>
<html>
  <head>
    <title>SAP Gateway - Lookup</title>
    <meta http-equiv="Pragma" content="no-cache"></meta>
    <meta http-equiv="Expires" content="-1"></meta>
    <link rel="stylesheet" type="text/css" href="/WmRoot/webMethods.css"></link>
    <script type="text/javascript" src="/WmRoot/webMethods.js.txt"></script>
  </head>
  <body>

   %switch todo%
      %case 'Add'%
        %invoke sap.admin.test.table:addRow%
        %onerror%
          %include error.html%
        %endinvoke%
      %case 'Insert'%
        %invoke sap.admin.test.table:insertRow%
        %onerror%
          %include error.html%
        %endinvoke%
      %case 'Save'%
        %invoke sap.admin.test.table:updateRow%
        %onerror%
          %include error.html%
        %endinvoke%
      %case 'Delete'%
        %invoke sap.admin.test.table:deleteRow%
        %onerror%
          %include error.html%
        %endinvoke%
      %case 'Edit'%
        %invoke sap.admin.test:checkEditSelection%
        %onerror%
          %rename ../todo $dummy%
          %include error.html%
        %endinvoke%
    %endswitch%

    %invoke sap.admin.test.table:listRows%
    <table width="100%">
      <tr>
	<td class="menusection-Adapters" colspan="2">SAP &gt; Lookup
	  &gt; Function Module Signature &gt; Function Module Test &gt;
	  Edit Table</td>
      </tr>
      <tr>
	<td colspan="2">
	  <ul>
	    <li><a href="javascript:history.back()">Return to Function Module Test</a></li>
	  </ul>
	</td>
      </tr>
      <tr>
	<td class="padding">&nbsp;</td>
	<td>
	  <form action="sapRFCLookup_editTable.dsp" method="post">
	    <input type="hidden" name="tableName" value="%value tableName%"></input>
	    <input type="hidden" name="fullName" value="%value /fullName%"></input>
	    <input type="hidden" name="$rfcname" value="%value /$rfcname%"></input>
	    <input type="hidden" name="serverName" value="%value serverName%"></input>
	    <table class="tableView" width="100%" style="margin-bottom: 0px;">
	      <tr>
		<td class="heading">%value /fullName%</td>
	      </tr>
	      <tr>
		<td class="action">
		  <!-- %ifvar todo equals('Edit')% -->
		  <input type="submit" name="todo" value="Save"></input>
		  <input type="submit" name="todo" value="Cancel"></input>
		  <!-- %else% -->
		    <!-- %ifvar rowCount equals('0')% -->
		    <!-- %else% -->
		  <input type="submit" name="todo" value="Edit"></input>
		  <input type="submit" name="todo" value="Insert"></input>
		  <input type="submit" name="todo" value="Delete"></input>
		    <!-- %endif% -->
		  <input type="submit" name="todo" value="Add"></input>
		  <input onclick="this.form.action='sapRFCLookup_DynamicInvoke.dsp'; return true;" type="submit" name="todo" value="Done"></input>
		  <!-- %endif% -->
		</td>
	      </tr>
	    </table>
	    <table class="tableView" width="100%">
		  <thead>
	       <!-- %comment% column info %endcomment% -->
	      <tr>
		<!-- %ifvar todo equals('Edit')% -->
		<!-- %else% -->
		<td class="oddcol">&nbsp;</td>
		<!-- %endif% -->
		<!-- %loop cols% -->
		<td class="oddcol">%value%</td>
		<!-- %endloop% -->
	      </tr>
		</thead>	      
	      <!-- %comment% existing rows %endcomment%-->
	    <tbody id="tbodyNode">
	      <!-- %loop rows% -->
	      <tr>
	    		    <!-- %ifvar ../todo equals('Edit')% -->
		    <!-- %else% -->
		<td class="rowlabel">
		  <input type="radio" name="rowNum" value="%value $index%"></input>
		</td>
		    <!-- %endif% -->
		    <!-- %ifvar ../todo equals('Edit')% -->
    		  <!-- %ifvar ../rowNum vequals($index)%%comment% this is the row to edit %endcomment% -->
    		    <!-- %rename ../rowNum rowNum -copy% -->
    		    <!-- %rename ../tableName tableName -copy% -->
    		    <!-- %rename ../serverName serverName -copy% -->
    		    <!-- %invoke sap.admin.test.table:getRow% -->
				  <!-- %loop fields% -->
		<td class="oddrow-l">
		  <input name="rowNum" type="hidden" value="%value ../rowNum%"></input>
		            <!-- %ifvar maxlength equals(-1)%%comment% STRING or XSTRING no length limit %endcomment% -->
		  <input name="%value name%" size="42" value="%value value%"></input>
		            <!-- %else%%comment% other scalars %endcomment% -->
		  <input name="%value name%" maxlength="%value maxlength%" size="%value maxlength%" value="%value value%"></input>
		            <!-- %endif% -->
		</td>
		          <!-- %endloop% -->
		        <!-- %endinvoke% -->
		      <!-- %else% -->
		        <!-- %loop -struct%-->
		<td class="oddrowdata">%value%</td>
		        <!-- %endloop% -->
		      <!-- %endif% -->
		    <!-- %else% -->
		      <!-- %loop -struct% -->
		<td class="oddrowdata">%value%</td>
		      <!-- %endloop% -->
		    <!-- %endif% -->
		  </tr>
	      <!-- %endloop% -->
	    </tbody>
	      <!-- %comment% new row %endcomment% -->
	    <!-- %ifvar todo equals('Edit')% -->
		<!-- %else% -->
	      <tr>
		<td class="rowlabel">&nbsp;</td>
		  <!-- %loop cols% -->
		<td class="oddrowdata">
		  <input name="%value%" size="%value sizes%" maxlength="%value sizes%"></input>
		</td>
		  <!-- %endloop% -->
	      </tr>
	    <!-- %endif% -->
	    </table>
	  <script>swapColor('tbodyNode', false);</script>
	  </form>
	</td>
      </tr>
    </table>
    %onerror% %include error.html%
    %endinvoke%
 </body>
</html>