<?xml version='1.0'?>
<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN'
                      '/local/share/xml/XHTML/dtds/xhtml1-transitional.dtd'>
<html>
  <head>
    <title>SAP Gateway - Lookup</title>
    <meta http-equiv="Pragma" content="no-cache"></meta>
    <meta http-equiv="Expires" content="-1"></meta>
    <link rel="stylesheet" type="text/css" href="/WmRoot/webMethods.css"></link>
    <script type="text/javascript" src="/WmRoot/webMethods.js.txt"></script>
    <script type="text/javascript">
      <!--
	//This script selects the correct service after the user has clicked
	//on one of the provided buttons
	function triggerLookup()
	{		
		if(!document.lookupForm.bapiName || document.lookupForm.bapiName.value=="")
		{
			if(document.lookupForm.objectName.value=="*")
				document.lookupForm.action="/SAP/sapBOR_listObjects.dsp"; 				
			else
				document.lookupForm.action="/SAP/sapBOR_BusinessObject.dsp"; 									
		}
		else
			document.lookupForm.action="/SAP/sapBOR_BAPI.dsp"; 
		return true;			
	} //
      -->
    </script>
  </head>
  <body onload="setNavigation('/SAP/sapRFCLookup_searchPage.dsp', '/SAP/doc/OnlineHelp/FRM_TAB_SAP_RFCLookup.html', 'bla');">
    %invoke sap.admin.server:list%
    <table width="100%">
      <tr>
	<td class="menusection-Adapters" colspan="2">SAP &gt; Lookup</td>
      </tr>
      <tr>
	<td class="padding">&nbsp;</td>
	<td>
	  <form name="lookupForm" action="sapRFCLookup_FunctionSearch.dsp" id="lookupForm">
	    <input type="hidden" name="$call" id="callindic" value="true"></input>
	    <table class="tableView">
	      <tr><td colspan="2" class="space">&nbsp;</td></tr>
	    </table>
	    <table class="tableForm" width="80%">
	      <tr>
		<td class="heading" colspan="2">RFC Lookup</td>
	      </tr>
	      <tr>
		<td class="oddrow" width="30%">Server Name</td>
		<td class="oddrow-l">
		  <!-- %ifvar servers% -->
		  <select name="serverName">
		    <!-- %loop servers% -->
		    <option value="%value serverName%">%value serverName%</option>
		    <!-- %endloop% -->
		  </select>
		  <!-- %else% -->
		  No SAP Servers Defined
		  <!-- %endif% -->
		</td>
	      </tr>
	    </table>
	    <table class="tableForm" width="80%">
	      <tr>
		<td class="heading" colspan="2">Function By Name</td>
	      </tr>
	      <tr>
		<td class="oddrow" width="30%">Function Name</td>
		<td class="oddrow-l"><input name="$rfcname"></input></td>
	      </tr>
	      <!-- %ifvar servers% -->
	      <tr>
		<td class="action" colspan="2">
		  <input onclick="this.form.action='sapRFCLookup_FunctionInterface.dsp'; return true;" 
			 type="submit" value="Lookup"></input>
		  <input onclick="this.form.action='sapRFCLookup_createTemplate.dsp'; return true;"
			 type="submit" name="$envelope" value="RFC-XML"></input>
		  <input onclick="this.form.action='sapRFCLookup_createTemplate.dsp'; return true;" 
			 type="submit" name="$envelope" value="bXML"></input>
		</td>
	      </tr>
	      <!-- %endif% -->
	    </table>
	    <table class="tableForm" width="80%">
	      <tr>
		<td class="heading" colspan="2">BAPI By Name</td>
	      </tr>
	      <tr>
		<td class="oddrow" width="30%">Business Object</td>
		<td class="oddrow-l"><input name="objectName"></input></td>
	      </tr>
	      <tr>
		<td class="evenrow">BAPI</td>
		<td class="evenrow-l"><input name="bapiName"></input></td>
	      </tr>
	      <!-- %ifvar servers% -->
	      <tr>
		<td class="action" colspan="2">
		  <input onclick="triggerLookup()" type="submit"
			 name="submit" value="Lookup"></input>
		  <input onclick="this.form.action='/SAP/sapBOR_createTemplate.dsp'; return true;"
			 type="submit" name="$envelope" value="bXML"></input>
		</td>
	      </tr>
	      <!-- %endif% -->
	    </table>
	    <table class="tableForm" width="80%">
	      <tr>
		<td class="heading" colspan="2">Function Search</td>
	      </tr>
	      <tr>
		<td class="oddrow" width="30%">Function Name</td>
		<td class="oddrow-l"><input name="functionPattern"></input></td>
	      </tr>
	      <tr>
		<td class="evenrow">Group Name</td>
		<td class="evenrow-l"><input name="groupPattern"></input></td>
	      </tr>
	      <!-- %ifvar servers% -->
	      <tr>
		<td class="action" colspan="2">
		  <input type="submit" name="submit" value="Search"></input>
		</td>
	      </tr>
	      <!-- %endif% -->
	    </table>
	    <table class="tableForm" width="80%">
	      <tr>
		<td class="heading" colspan="2">Table By Name</td>
	      </tr>
	      <tr>
		<td class="oddrow" width="30%">Table Name</td>
		<td class="oddrow-l"><input name="structName"></input></td>
	      </tr>
	      <!-- %ifvar servers% -->
	      <tr>
		<td class="action" colspan="2">
		  <input onclick="this.form.action='sapRFCLookup_StructureDefinition.dsp'; return true;"
			 type="submit" name="submit" value="Lookup"></input>
		</td>
	      </tr>
	      <!-- %endif% -->
	    </table>
	  </form>
	</td>
      </tr>
    </table>
    %onerror% %include error.html%
  </body>
</html>