<?xml version='1.0'?>
<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN'
                      '/local/share/xml/XHTML/dtds/xhtml1-transitional.dtd'>
<html>
  <head>
    <title>SAP Gateway - SAP Servers</title>
    <meta http-equiv="Pragma" content="no-cache"></meta>
    <meta http-equiv="Expires" content="-1"></meta>
    <link rel="stylesheet" type="text/css" href="/WmRoot/webMethods.css"></link>
    <script type="text/javascript" src="/WmRoot/webMethods.js.txt"></script>
  </head>
  <body onload="setNavigation('/SAP/sapServers_listServers.dsp', '/SAP/doc/OnlineHelp/TAB_SAP_FindMaps.html', 'bla');">
    %invoke sap.admin.map:find%
    <table width="100%">
      <tr>
	<td class="menusection-Adapters" colspan="2">SAP &gt; SAP
	  Servers &gt; RFC Function Maps for %value serverName%</td>
      </tr>
      <tr>
	<td colspan="2">
	  <ul>
	    <li><a href="sapServers_listServers.dsp">Return to SAP Servers</a></li>
	    <li><a href="sapServers_listServiceMaps.dsp?serverName=%value -urlencode serverName%">Return to Function Maps for %value serverName%</a></li>
	  </ul>
	</td>
      </tr>
      <tr>
	<td class="padding">&nbsp;</td>
	<td>
	  <form action="sapServers_listServiceMaps.dsp" method="post">
	  <table class="tableForm" width="100%">
  	    <thead>
	      <tr>
		<td class="heading" colspan="5">Found Maps: Check those you want to add</td>
	      </tr>
	      <tr>
		<td class="oddcol" width="40%">Function Module</td>
		<td class="oddcol" width="100px">Type</td>
		<td class="oddcol">Folder</td>
		<td class="oddcol">Service</td>
		<td class="oddcol">Add</td>
	      </tr>
	    </thead>
	    <tbody id="tbodyNode">
	      <!-- %loop foundMaps% -->
	      <tr>
		<td class="evenrowdata-l">%value functionName%</td>
		<td class="evenrowdata">
		<!-- %ifvar type equals('inbound')% -->
		  <img alt="left" src="/SAP/icons/left.gif"></img>
		<!-- %else% -->
		  <img alt="right" src="/SAP/icons/right.gif"></img>
		<!-- %endif% -->
		</td>
		<td class="evenrowdata">%value folder%</td>
		<td class="evenrowdata">%value service%</td>
		<td class="evenrowdata">
		  <input type="checkbox" name="mapID" value="%value mapID%"></input>
		</td>
	      </tr>
	      <!-- %endloop% -->
	    </tbody>
	  <script>swapColor('tbodyNode', false);</script>
	      <tr>
		<td class="action" colspan="5">
		  <input type="hidden" name="serverName" value="%value serverName%"></input>
		  <input type="submit" name="action" value="Add"></input>
		</td>
	      </tr>
	    </table>
	  </form>
	</td>
      </tr>
    </table>
    %onerror%
    %include error.html%
    %endinvoke%
  </body>
</html>