@echo off
if exist "%1" goto begin
echo.
echo   usage:  EXTInstallSAP.bat [configfile] [upgrade]
echo.
echo   where:
echo       configfile = properties file with database connection info
echo                       Example: MXServer.properties
echo
echo         upgrade  = (y/n) 
echo                       y=do not overwrite existing controls
echo                       n=overwrite controls with default values
echo.
goto end

:begin
setlocal
set JRE=jre\bin\java
set JRE_CLASSPATH=.;.\lib\j2ee.jar;.\lib\oraclethin.zip;.\lib\activation.jar;.\lib\mail.jar
set APP=psdi.iface.install.EXTInstallSAP
set CONFIG=%1
set UPGRADE=%2

%JRE% -Dconfigfile=%CONFIG% -Dupgrade=%UPGRADE% -classpath %JRE_CLASSPATH% %APP% 
endlocal
:end